/*
 * Copyright (c) 2000-2012 Apple Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * This file contains Original Code and/or Modifications of Original Code
 * as defined in and that are subject to the Apple Public Source License
 * Version 2.0 (the 'License'). You may not use this file except in
 * compliance with the License. Please obtain a copy of the License at
 * http://www.opensource.apple.com/apsl/ and read it before using this
 * file.
 * 
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
 * Please see the License for the specific language governing rights and
 * limitations under the License.
 * 
 * @APPLE_LICENSE_HEADER_END@
 */

/*
 * This file is automatically generated
 * DO NOT EDIT!
 */

/*
 * Reserved Keys
 *
 *   kSCResvLink                                        "__LINK__"                     CFString
 *   kSCResvInactive                                    "__INACTIVE__"
 *
 * Generic Keys
 *
 *   kSCPropInterfaceName                               "InterfaceName"                CFString
 *   kSCPropMACAddress                                  "MACAddress"                   CFString
 *   kSCPropUserDefinedName                             "UserDefinedName"              CFString
 *   kSCPropVersion                                     "Version"                      CFString
 *
 * Preference Keys
 *
 *   kSCPrefCurrentSet                                  "CurrentSet"                   CFString
 *   kSCPrefNetworkServices                             "NetworkServices"              CFDictionary
 *   kSCPrefSets                                        "Sets"                         CFDictionary
 *   kSCPrefSystem                                      "System"                       CFDictionary
 *
 * Component Keys
 *
 *   kSCCompNetwork                                     "Network"
 *   kSCCompService                                     "Service"
 *   kSCCompGlobal                                      "Global"
 *   kSCCompHostNames                                   "HostNames"
 *   kSCCompInterface                                   "Interface"
 *   kSCCompSystem                                      "System"
 *   kSCCompUsers                                       "Users"
 *
 *   --- Regex pattern which matches any component ---
 *   kSCCompAnyRegex                                    "[^/]+"
 *
 * Network Entity Keys
 *
 *   kSCEntNetAirPort                                   "AirPort"                      CFDictionary
 *   kSCEntNetDHCP                                      "DHCP"                         CFDictionary
 *   kSCEntNetDNS                                       "DNS"                          CFDictionary
 *   kSCEntNetEthernet                                  "Ethernet"                     CFDictionary
 *   kSCEntNetFireWire                                  "FireWire"                     CFDictionary
 *   kSCEntNetInterface                                 "Interface"                    CFDictionary
 *   kSCEntNetIPSec                                     "IPSec"                        CFDictionary
 *   kSCEntNetIPv4                                      "IPv4"                         CFDictionary
 *   kSCEntNetIPv6                                      "IPv6"                         CFDictionary
 *   kSCEntNetL2TP                                      "L2TP"                         CFDictionary
 *   kSCEntNetLink                                      "Link"                         CFDictionary
 *   kSCEntNetModem                                     "Modem"                        CFDictionary
 *   kSCEntNetPPP                                       "PPP"                          CFDictionary
 *   kSCEntNetPPPoE                                     "PPPoE"                        CFDictionary
 *   kSCEntNetPPPSerial                                 "PPPSerial"                    CFDictionary
 *   kSCEntNetPPTP                                      "PPTP"                         CFDictionary
 *   kSCEntNetProxies                                   "Proxies"                      CFDictionary
 *   kSCEntNetSMB                                       "SMB"                          CFDictionary
 *   kSCEntNet6to4                                      "6to4"                         CFDictionary
 *
 * kSCCompNetwork Properties
 *
 *   kSCPropNetOverridePrimary                          "OverridePrimary"              CFNumber (0 or 1)
 *   kSCPropNetServiceOrder                             "ServiceOrder"                 CFArray[CFString]
 *   kSCPropNetPPPOverridePrimary                       "PPPOverridePrimary"           CFNumber (0 or 1)
 *
 * kSCCompNetworkInterface Properties
 *
 *   kSCPropNetInterfaces                               "Interfaces"                   CFArray[CFString]
 *
 * kSCCompNetworkHostNames Properties
 *
 *   kSCPropNetLocalHostName                            "LocalHostName"                CFString
 *
 * kSCEntNetAirPort (Hardware) Entity Keys
 *
 *   kSCPropNetAirPortAllowNetCreation                  "AllowNetCreation"             CFNumber (0 or 1)
 *   kSCPropNetAirPortAuthPassword                      "AuthPassword"                 CFData
 *   kSCPropNetAirPortAuthPasswordEncryption            "AuthPasswordEncryption"       CFString
 *   kSCPropNetAirPortJoinMode                          "JoinMode"                     CFString
 *   kSCPropNetAirPortPowerEnabled                      "PowerEnabled"                 CFNumber (0 or 1)
 *   kSCPropNetAirPortPreferredNetwork                  "PreferredNetwork"             CFString
 *   kSCPropNetAirPortSavePasswords                     "SavePasswords"                CFNumber (0 or 1)
 *
 *   --- kSCPropNetAirPortJoinMode values ---
 *   kSCValNetAirPortJoinModeAutomatic                  "Automatic"
 *   kSCValNetAirPortJoinModePreferred                  "Preferred"
 *   kSCValNetAirPortJoinModeRanked                     "Ranked"
 *   kSCValNetAirPortJoinModeRecent                     "Recent"
 *   kSCValNetAirPortJoinModeStrongest                  "Strongest"
 *
 *   --- kSCPropNetAirPortPasswordEncryption values ---
 *   kSCValNetAirPortAuthPasswordEncryptionKeychain     "Keychain"
 *
 * kSCEntNetDNS Entity Keys
 *
 *   kSCPropNetDNSDomainName                            "DomainName"                   CFString
 *   kSCPropNetDNSOptions                               "Options"                      CFString
 *   kSCPropNetDNSSearchDomains                         "SearchDomains"                CFArray[CFString]
 *   kSCPropNetDNSSearchOrder                           "SearchOrder"                  CFNumber
 *   kSCPropNetDNSServerAddresses                       "ServerAddresses"              CFArray[CFString]
 *   kSCPropNetDNSServerPort                            "ServerPort"                   CFNumber
 *   kSCPropNetDNSServerTimeout                         "ServerTimeout"                CFNumber
 *   kSCPropNetDNSSortList                              "SortList"                     CFArray[CFString]
 *   kSCPropNetDNSSupplementalMatchDomains              "SupplementalMatchDomains"     CFArray[CFString]
 *   kSCPropNetDNSSupplementalMatchOrders               "SupplementalMatchOrders"      CFArray[CFNumber]
 *
 * kSCEntNetEthernet (Hardware) Entity Keys
 *
 *   kSCPropNetEthernetMediaSubType                     "MediaSubType"                 CFString
 *   kSCPropNetEthernetMediaOptions                     "MediaOptions"                 CFArray[CFString]
 *   kSCPropNetEthernetMTU                              "MTU"                          CFNumber
 *
 * kSCEntNetFireWire (Hardware) Entity Keys
 *
 *   * RESERVED FOR FUTURE USE *
 *
 * kSCEntNetInterface Entity Keys
 *
 *   kSCPropNetInterfaceDeviceName                      "DeviceName"                   CFString
 *   kSCPropNetInterfaceHardware                        "Hardware"                     CFString
 *   kSCPropNetInterfaceType                            "Type"                         CFString
 *   kSCPropNetInterfaceSubType                         "SubType"                      CFString
 *   kSCPropNetInterfaceSupportsModemOnHold             "SupportsModemOnHold"          CFNumber (0 or 1)
 *
 *   --- kSCPropNetInterfaceType values ---
 *   kSCValNetInterfaceTypeEthernet                     "Ethernet"
 *   kSCValNetInterfaceTypeFireWire                     "FireWire"
 *   kSCValNetInterfaceTypePPP                          "PPP"
 *   kSCValNetInterfaceType6to4                         "6to4"
 *   kSCValNetInterfaceTypeIPSec                        "IPSec"
 *
 *   --- kSCPropNetServiceSubType values (for PPP) ---
 *   kSCValNetInterfaceSubTypePPPoE                     "PPPoE"
 *   kSCValNetInterfaceSubTypePPPSerial                 "PPPSerial"
 *   kSCValNetInterfaceSubTypePPTP                      "PPTP"
 *   kSCValNetInterfaceSubTypeL2TP                      "L2TP"
 *
 * kSCEntNetIPSec Entity Keys
 *
 *   kSCPropNetIPSecAuthenticationMethod                "AuthenticationMethod"         CFString
 *   kSCPropNetIPSecLocalCertificate                    "LocalCertificate"             CFData
 *   kSCPropNetIPSecLocalIdentifier                     "LocalIdentifier"              CFString
 *   kSCPropNetIPSecLocalIdentifierType                 "LocalIdentifierType"          CFString
 *   kSCPropNetIPSecSharedSecret                        "SharedSecret"                 CFString
 *   kSCPropNetIPSecSharedSecretEncryption              "SharedSecretEncryption"       CFString
 *   kSCPropNetIPSecConnectTime                         "ConnectTime"                  CFNumber
 *   kSCPropNetIPSecRemoteAddress                       "RemoteAddress"                CFString
 *   kSCPropNetIPSecStatus                              "Status"                       CFNumber
 *   kSCPropNetIPSecXAuthEnabled                        "XAuthEnabled"                 CFNumber (0 or 1)
 *   kSCPropNetIPSecXAuthName                           "XAuthName"                    CFString
 *   kSCPropNetIPSecXAuthPassword                       "XAuthPassword"                CFString
 *   kSCPropNetIPSecXAuthPasswordEncryption             "XAuthPasswordEncryption"      CFString
 *
 *   --- kSCPropNetIPSecAuthenticationMethod values ---
 *   kSCValNetIPSecAuthenticationMethodSharedSecret     "SharedSecret"
 *   kSCValNetIPSecAuthenticationMethodCertificate      "Certificate"
 *   kSCValNetIPSecAuthenticationMethodHybrid           "Hybrid"
 *
 *   --- kSCPropNetIPSecLocalIdentifierType values ---
 *   kSCValNetIPSecLocalIdentifierTypeKeyID             "KeyID"
 *
 *   --- kSCPropNetIPSecSharedSecretEncryption values ---
 *   kSCValNetIPSecSharedSecretEncryptionKeychain       "Keychain"
 *
 *   --- kSCPropNetIPSecXAuthPasswordEncryption values ---
 *   kSCValNetIPSecXAuthPasswordEncryptionKeychain      "Keychain"
 *   kSCValNetIPSecXAuthPasswordEncryptionPrompt        "Prompt"
 *
 * kSCEntNetIPv4 Entity Keys
 *
 *   kSCPropNetIPv4Addresses                            "Addresses"                    CFArray[CFString]
 *   kSCPropNetIPv4ConfigMethod                         "ConfigMethod"                 CFString
 *   kSCPropNetIPv4DHCPClientID                         "DHCPClientID"                 CFString
 *   kSCPropNetIPv4Router                               "Router"                       CFString
 *   kSCPropNetIPv4SubnetMasks                          "SubnetMasks"                  CFArray[CFString]
 *   kSCPropNetIPv4DestAddresses                        "DestAddresses"                CFArray[CFString]
 *   kSCPropNetIPv4BroadcastAddresses                   "BroadcastAddresses"           CFArray[CFString]
 *
 *   --- kSCPropNetIPv4ConfigMethod values ---
 *   kSCValNetIPv4ConfigMethodAutomatic                 "Automatic"
 *   kSCValNetIPv4ConfigMethodBOOTP                     "BOOTP"
 *   kSCValNetIPv4ConfigMethodDHCP                      "DHCP"
 *   kSCValNetIPv4ConfigMethodINFORM                    "INFORM"
 *   kSCValNetIPv4ConfigMethodLinkLocal                 "LinkLocal"
 *   kSCValNetIPv4ConfigMethodManual                    "Manual"
 *   kSCValNetIPv4ConfigMethodPPP                       "PPP"
 *
 * kSCEntNetIPv6 Entity Keys
 *
 *   kSCPropNetIPv6Addresses                            "Addresses"                    CFArray[CFString]
 *   kSCPropNetIPv6ConfigMethod                         "ConfigMethod"                 CFString
 *   kSCPropNetIPv6DestAddresses                        "DestAddresses"                CFArray[CFString]
 *   kSCPropNetIPv6Flags                                "Flags"                        CFNumber
 *   kSCPropNetIPv6PrefixLength                         "PrefixLength"                 CFArray[CFNumber]
 *   kSCPropNetIPv6Router                               "Router"                       CFString
 *
 *   --- kSCPropNetIPv6ConfigMethod values ---
 *   kSCValNetIPv6ConfigMethodAutomatic                 "Automatic"
 *   kSCValNetIPv6ConfigMethodLinkLocal                 "LinkLocal"
 *   kSCValNetIPv6ConfigMethodManual                    "Manual"
 *   kSCValNetIPv6ConfigMethodRouterAdvertisement       "RouterAdvertisement"
 *   kSCValNetIPv6ConfigMethod6to4                      "6to4"
 *
 * kSCEntNet6to4 Entity Keys
 *
 *   kSCPropNet6to4Relay                                "Relay"                        CFString
 *
 * kSCEntNetLink Entity Keys
 *
 *   kSCPropNetLinkActive                               "Active"                       CFBoolean
 *   kSCPropNetLinkDetaching                            "Detaching"                    CFBoolean
 *
 * kSCEntNetModem (Hardware) Entity Keys
 *
 *   kSCPropNetModemAccessPointName                     "AccessPointName"              CFString
 *   kSCPropNetModemConnectionPersonality               "ConnectionPersonality"        CFString
 *   kSCPropNetModemConnectionScript                    "ConnectionScript"             CFString
 *   kSCPropNetModemConnectSpeed                        "ConnectSpeed"                 CFNumber
 *   kSCPropNetModemDataCompression                     "DataCompression"              CFNumber (0 or 1)
 *   kSCPropNetModemDeviceContextID                     "DeviceContextID"              CFString
 *   kSCPropNetModemDeviceModel                         "DeviceModel"                  CFString
 *   kSCPropNetModemDeviceVendor                        "DeviceVendor"                 CFString
 *   kSCPropNetModemDialMode                            "DialMode"                     CFString
 *   kSCPropNetModemErrorCorrection                     "ErrorCorrection"              CFNumber (0 or 1)
 *   kSCPropNetModemHoldCallWaitingAudibleAlert         "HoldCallWaitingAudibleAlert"  CFNumber (0 or 1)
 *   kSCPropNetModemHoldDisconnectOnAnswer              "HoldDisconnectOnAnswer"       CFNumber (0 or 1)
 *   kSCPropNetModemHoldEnabled                         "HoldEnabled"                  CFNumber (0 or 1)
 *   kSCPropNetModemHoldReminder                        "HoldReminder"                 CFNumber (0 or 1)
 *   kSCPropNetModemHoldReminderTime                    "HoldReminderTime"             CFNumber
 *   kSCPropNetModemNote                                "Note"                         CFString
 *   kSCPropNetModemPulseDial                           "PulseDial"                    CFNumber (0 or 1)
 *   kSCPropNetModemSpeaker                             "Speaker"                      CFNumber (0 or 1)
 *   kSCPropNetModemSpeed                               "Speed"                        CFNumber
 *
 *   --- kSCPropNetModemDialMode values ---
 *   kSCValNetModemDialModeIgnoreDialTone               "IgnoreDialTone"
 *   kSCValNetModemDialModeManual                       "Manual"
 *   kSCValNetModemDialModeWaitForDialTone              "WaitForDialTone"
 *
 * kSCEntNetPPP Entity Keys
 *
 *   kSCPropNetPPPACSPEnabled                           "ACSPEnabled"                  CFNumber (0 or 1)
 *   kSCPropNetPPPConnectTime                           "ConnectTime"                  CFNumber
 *   kSCPropNetPPPDeviceLastCause                       "DeviceLastCause"              CFNumber
 *   kSCPropNetPPPDialOnDemand                          "DialOnDemand"                 CFNumber (0 or 1)
 *   kSCPropNetPPPDisconnectOnFastUserSwitch            "DisconnectOnFastUserSwitch"   CFNumber (0 or 1)
 *   kSCPropNetPPPDisconnectOnIdle                      "DisconnectOnIdle"             CFNumber (0 or 1)
 *   kSCPropNetPPPDisconnectOnIdleTimer                 "DisconnectOnIdleTimer"        CFNumber
 *   kSCPropNetPPPDisconnectOnLogout                    "DisconnectOnLogout"           CFNumber (0 or 1)
 *   kSCPropNetPPPDisconnectOnSleep                     "DisconnectOnSleep"            CFNumber (0 or 1)
 *   kSCPropNetPPPDisconnectTime                        "DisconnectTime"               CFNumber
 *   kSCPropNetPPPIdleReminderTimer                     "IdleReminderTimer"            CFNumber
 *   kSCPropNetPPPIdleReminder                          "IdleReminder"                 CFNumber (0 or 1)
 *   kSCPropNetPPPLastCause                             "LastCause"                    CFNumber
 *   kSCPropNetPPPLogfile                               "Logfile"                      CFString
 *   kSCPropNetPPPPlugins                               "Plugins"                      CFArray[CFString]
 *   kSCPropNetPPPRetryConnectTime                      "RetryConnectTime"             CFNumber
 *   kSCPropNetPPPSessionTimer                          "SessionTimer"                 CFNumber
 *   kSCPropNetPPPStatus                                "Status"                       CFNumber
 *   kSCPropNetPPPUseSessionTimer                       "UseSessionTimer"              CFNumber (0 or 1)
 *   kSCPropNetPPPVerboseLogging                        "VerboseLogging"               CFNumber (0 or 1)
 *
 *   --- Auth: ---
 *   kSCPropNetPPPAuthEAPPlugins                        "AuthEAPPlugins"               CFArray[CFString]
 *   kSCPropNetPPPAuthName                              "AuthName"                     CFString
 *   kSCPropNetPPPAuthPassword                          "AuthPassword"                 CFString
 *   kSCPropNetPPPAuthPasswordEncryption                "AuthPasswordEncryption"       CFString
 *   kSCPropNetPPPAuthPrompt                            "AuthPrompt"                   CFString
 *   kSCPropNetPPPAuthProtocol                          "AuthProtocol"                 CFArray[CFString]
 *
 *   --- kSCPropNetPPPAuthPasswordEncryption values ---
 *   kSCValNetPPPAuthPasswordEncryptionKeychain         "Keychain"
 *   kSCValNetPPPAuthPasswordEncryptionToken            "Token"
 *
 *   --- kSCPropNetPPPAuthPrompt values ---
 *   kSCValNetPPPAuthPromptBefore                       "Before"                       CFString
 *   kSCValNetPPPAuthPromptAfter                        "After"                        CFString
 *
 *   --- kSCPropNetPPPAuthProtocol values ---
 *   kSCValNetPPPAuthProtocolCHAP                       "CHAP"                         CFString
 *   kSCValNetPPPAuthProtocolEAP                        "EAP"                          CFString
 *   kSCValNetPPPAuthProtocolMSCHAP1                    "MSCHAP1"                      CFString
 *   kSCValNetPPPAuthProtocolMSCHAP2                    "MSCHAP2"                      CFString
 *   kSCValNetPPPAuthProtocolPAP                        "PAP"                          CFString
 *
 *   --- Comm: ---
 *   kSCPropNetPPPCommAlternateRemoteAddress            "CommAlternateRemoteAddress"   CFString
 *   kSCPropNetPPPCommConnectDelay                      "CommConnectDelay"             CFNumber
 *   kSCPropNetPPPCommDisplayTerminalWindow             "CommDisplayTerminalWindow"    CFNumber (0 or 1)
 *   kSCPropNetPPPCommRedialCount                       "CommRedialCount"              CFNumber
 *   kSCPropNetPPPCommRedialEnabled                     "CommRedialEnabled"            CFNumber (0 or 1)
 *   kSCPropNetPPPCommRedialInterval                    "CommRedialInterval"           CFNumber
 *   kSCPropNetPPPCommRemoteAddress                     "CommRemoteAddress"            CFString
 *   kSCPropNetPPPCommTerminalScript                    "CommTerminalScript"           CFString
 *   kSCPropNetPPPCommUseTerminalScript                 "CommUseTerminalScript"        CFNumber (0 or 1)
 *
 *   --- CCP: ---
 *   kSCPropNetPPPCCPEnabled                            "CCPEnabled"                   CFNumber (0 or 1)
 *   kSCPropNetPPPCCPMPPE40Enabled                      "CCPMPPE40Enabled"             CFNumber (0 or 1)
 *   kSCPropNetPPPCCPMPPE128Enabled                     "CCPMPPE128Enabled"            CFNumber (0 or 1)
 *
 *   --- IPCP: ---
 *   kSCPropNetPPPIPCPCompressionVJ                     "IPCPCompressionVJ"            CFNumber (0 or 1)
 *   kSCPropNetPPPIPCPUsePeerDNS                        "IPCPUsePeerDNS"               CFNumber (0 or 1)
 *
 *   --- LCP: ---
 *   kSCPropNetPPPLCPEchoEnabled                        "LCPEchoEnabled"               CFNumber (0 or 1)
 *   kSCPropNetPPPLCPEchoFailure                        "LCPEchoFailure"               CFNumber
 *   kSCPropNetPPPLCPEchoInterval                       "LCPEchoInterval"              CFNumber
 *   kSCPropNetPPPLCPCompressionACField                 "LCPCompressionACField"        CFNumber (0 or 1)
 *   kSCPropNetPPPLCPCompressionPField                  "LCPCompressionPField"         CFNumber (0 or 1)
 *   kSCPropNetPPPLCPMRU                                "LCPMRU"                       CFNumber
 *   kSCPropNetPPPLCPMTU                                "LCPMTU"                       CFNumber
 *   kSCPropNetPPPLCPReceiveACCM                        "LCPReceiveACCM"               CFNumber
 *   kSCPropNetPPPLCPTransmitACCM                       "LCPTransmitACCM"              CFNumber
 *
 * kSCEntNetPPPoE Entity Keys
 *
 *   * RESERVED FOR FUTURE USE *
 *
 * kSCEntNetPPPSerial Entity Keys
 *
 *   * RESERVED FOR FUTURE USE *
 *
 * kSCEntNetPPTP Entity Keys
 *
 *   * RESERVED FOR FUTURE USE *
 *
 * kSCEntNetL2TP Entity Keys
 *
 *   kSCPropNetL2TPIPSecSharedSecret                    "IPSecSharedSecret"            CFString
 *   kSCPropNetL2TPIPSecSharedSecretEncryption          "IPSecSharedSecretEncryption"  CFString
 *   kSCPropNetL2TPTransport                            "Transport"                    CFString
 *
 *   --- kSCPropNetL2TPIPSecSharedSecretEncryption values ---
 *   kSCValNetL2TPIPSecSharedSecretEncryptionKeychain   "Keychain"
 *
 *   --- kSCPropNetL2TPTransport values ---
 *   kSCValNetL2TPTransportIP                           "IP"
 *   kSCValNetL2TPTransportIPSec                        "IPSec"
 *
 * kSCEntNetProxies Entity Keys
 *
 *   kSCPropNetProxiesExceptionsList                    "ExceptionsList"               CFArray[CFString]
 *   kSCPropNetProxiesExcludeSimpleHostnames            "ExcludeSimpleHostnames"       CFNumber (0 or 1)
 *   kSCPropNetProxiesFTPEnable                         "FTPEnable"                    CFNumber (0 or 1)
 *   kSCPropNetProxiesFTPPassive                        "FTPPassive"                   CFNumber (0 or 1)
 *   kSCPropNetProxiesFTPPort                           "FTPPort"                      CFNumber
 *   kSCPropNetProxiesFTPProxy                          "FTPProxy"                     CFString
 *   kSCPropNetProxiesGopherEnable                      "GopherEnable"                 CFNumber (0 or 1)
 *   kSCPropNetProxiesGopherPort                        "GopherPort"                   CFNumber
 *   kSCPropNetProxiesGopherProxy                       "GopherProxy"                  CFString
 *   kSCPropNetProxiesHTTPEnable                        "HTTPEnable"                   CFNumber (0 or 1)
 *   kSCPropNetProxiesHTTPPort                          "HTTPPort"                     CFNumber
 *   kSCPropNetProxiesHTTPProxy                         "HTTPProxy"                    CFString
 *   kSCPropNetProxiesHTTPSEnable                       "HTTPSEnable"                  CFNumber (0 or 1)
 *   kSCPropNetProxiesHTTPSPort                         "HTTPSPort"                    CFNumber
 *   kSCPropNetProxiesHTTPSProxy                        "HTTPSProxy"                   CFString
 *   kSCPropNetProxiesRTSPEnable                        "RTSPEnable"                   CFNumber (0 or 1)
 *   kSCPropNetProxiesRTSPPort                          "RTSPPort"                     CFNumber
 *   kSCPropNetProxiesRTSPProxy                         "RTSPProxy"                    CFString
 *   kSCPropNetProxiesSOCKSEnable                       "SOCKSEnable"                  CFNumber (0 or 1)
 *   kSCPropNetProxiesSOCKSPort                         "SOCKSPort"                    CFNumber
 *   kSCPropNetProxiesSOCKSProxy                        "SOCKSProxy"                   CFString
 *   kSCPropNetProxiesProxyAutoConfigEnable             "ProxyAutoConfigEnable"        CFNumber (0 or 1)
 *   kSCPropNetProxiesProxyAutoConfigJavaScript         "ProxyAutoConfigJavaScript"    CFString
 *   kSCPropNetProxiesProxyAutoConfigURLString          "ProxyAutoConfigURLString"     CFString
 *   kSCPropNetProxiesProxyAutoDiscoveryEnable          "ProxyAutoDiscoveryEnable"     CFNumber (0 or 1)
 *
 * kSCEntNetSMB Entity Keys
 *
 *   kSCPropNetSMBNetBIOSName                           "NetBIOSName"                  CFString
 *   kSCPropNetSMBNetBIOSNodeType                       "NetBIOSNodeType"              CFString
 *   kSCPropNetSMBNetBIOSScope                          "NetBIOSScope"                 CFString
 *   kSCPropNetSMBWINSAddresses                         "WINSAddresses"                CFArray[CFString]
 *   kSCPropNetSMBWorkgroup                             "Workgroup"                    CFString
 *
 *   --- kSCPropNetSMBNetBIOSNodeType values ---
 *   kSCValNetSMBNetBIOSNodeTypeBroadcast               "Broadcast"
 *   kSCValNetSMBNetBIOSNodeTypePeer                    "Peer"
 *   kSCValNetSMBNetBIOSNodeTypeMixed                   "Mixed"
 *   kSCValNetSMBNetBIOSNodeTypeHybrid                  "Hybrid"
 *
 * kSCCompUsers Entity Keys
 *
 *   kSCEntUsersConsoleUser                             "ConsoleUser"
 *
 * kSCCompSystem Properties
 *
 *   kSCPropSystemComputerName                          "ComputerName"                 CFString
 *   kSCPropSystemComputerNameEncoding                  "ComputerNameEncoding"         CFNumber
 *
 * SCDynamicStore "domain" prefixes
 *
 *   kSCDynamicStoreDomainFile                          "File:"
 *   kSCDynamicStoreDomainPlugin                        "Plugin:"
 *   kSCDynamicStoreDomainSetup                         "Setup:"
 *   kSCDynamicStoreDomainState                         "State:"
 *   kSCDynamicStoreDomainPrefs                         "Prefs:"
 *
 * Preference ("location") Keys
 *
 *   kSCDynamicStorePropSetupCurrentSet                 "CurrentSet"                   CFString
 *   kSCDynamicStorePropSetupLastUpdated                "LastUpdated"
 *
 * Common/shared Keys
 *
 *   kSCDynamicStorePropNetInterfaces                   "Interfaces"                   CFArray[CFString]
 *   kSCDynamicStorePropNetPrimaryInterface             "PrimaryInterface"             CFString
 *   kSCDynamicStorePropNetPrimaryService               "PrimaryService"               CFString
 *   kSCDynamicStorePropNetServiceIDs                   "ServiceIDs"                   CFArray[CFString]
 */


/*
 * Note: The MACOSX_DEPLOYMENT_TARGET environment variable should be used
 *       when building an application targeted for an earlier version of
 *       Mac OS X.  Please reference Technical Note TN2064 for more details.
 */

/*
 * Note: For Cocoa/Obj-C/Foundation applications accessing these preference
 *       keys you may want to consider the following :
 *
 *       #define SC_SCHEMA_DECLARATION(k,q)	extern NSString * k;
 *       #import <SystemConfiguration/SystemConfiguration.h>
 */

/*
 * Note: For CFM applications using these schema keys you may want to
 *       consider the following :
 *
 *       #define SC_SCHEMA_DECLARATION(k,q)
 *       #define SC_SCHEMA_KV(k,v,t)	lookup_SC_key( CFSTR( #k ) )
 *       #include <SystemConfiguration/SystemConfiguration.h>
 *
 *       CFStringRef lookup_SC_key(CFStringRef key)
 *       {
 *         // this function should [dynamically, on-demand] load the
 *         // SystemConfiguration.framework, look up the provided key,
 *         // and return the associated value.
 *       }
 */

/*
 * Note: Earlier versions of this header file defined a "SCSTR" macro
 *       which helped to facilitate Obj-C development. Use of this macro
 *       has been deprecated (in Mac OS X 10.4) in favor of the newer
 *       "SC_SCHEMA_DECLARATION" and "SC_SCHEMA_KV" macros
 */


#ifndef	_SCSCHEMADEFINITIONS_H
#ifdef	USE_SYSTEMCONFIGURATION_PRIVATE_HEADERS
#include <SystemConfiguration/_SCSchemaDefinitions.h>
#else	/* USE_SYSTEMCONFIGURATION_PRIVATE_HEADERS */
#define	_SCSCHEMADEFINITIONS_H

/* -------------------- Macro declarations -------------------- */

#include <Availability.h>
#include <TargetConditionals.h>

/*
 * Define a schema key/value/type tuple
 */
#ifndef SC_SCHEMA_KV
  #define SC_SCHEMA_KV(k,v,t)	k
#endif

/*
 * Provide an "extern" for the key/value
 */
#ifndef SC_SCHEMA_DECLARATION
  #ifndef SCSTR
    #include <CoreFoundation/CFString.h>
    #define SC_SCHEMA_DECLARATION(k,q)	extern const CFStringRef k q;
  #else
    #import <Foundation/NSString.h>
    #define SC_SCHEMA_DECLARATION(k,q)	extern NSString * k q;
  #endif
#endif
/* -------------------- HeaderDoc comments -------------------- */


#if	0
/*!
 *	@header SCSchemaDefinitions
 */

/*!
  @const kSCResvLink
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCResvLink;

/*!
  @const kSCResvInactive
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCResvInactive;

/*!
  @const kSCPropInterfaceName
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropInterfaceName;

/*!
  @const kSCPropMACAddress
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropMACAddress;

/*!
  @const kSCPropUserDefinedName
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropUserDefinedName;

/*!
  @const kSCPropVersion
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropVersion;

/*!
  @group Preference Keys
 */

/*!
  @const kSCPrefCurrentSet
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPrefCurrentSet;

/*!
  @const kSCPrefNetworkServices
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPrefNetworkServices;

/*!
  @const kSCPrefSets
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPrefSets;

/*!
  @const kSCPrefSystem
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPrefSystem;

/*!
  @group Component Keys
 */

/*!
  @const kSCCompNetwork
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCCompNetwork;

/*!
  @const kSCCompService
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCCompService;

/*!
  @const kSCCompGlobal
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCCompGlobal;

/*!
  @const kSCCompHostNames
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCCompHostNames;

/*!
  @const kSCCompInterface
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCCompInterface;

/*!
  @const kSCCompSystem
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCCompSystem;

/*!
  @const kSCCompUsers
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCCompUsers;

/*!
  @const kSCCompAnyRegex
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCCompAnyRegex;

/*!
  @group Network Entity Keys
 */

/*!
  @const kSCEntNetAirPort
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetAirPort;

/*!
  @const kSCEntNetAppleTalk
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCEntNetAppleTalk;

/*!
  @const kSCEntNetDHCP
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetDHCP;

/*!
  @const kSCEntNetDNS
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetDNS;

/*!
  @const kSCEntNetEthernet
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetEthernet;

/*!
  @const kSCEntNetFireWire
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCEntNetFireWire;

/*!
  @const kSCEntNetInterface
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetInterface;

/*!
  @const kSCEntNetIPSec
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCEntNetIPSec;

/*!
  @const kSCEntNetIPv4
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetIPv4;

/*!
  @const kSCEntNetIPv6
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetIPv6;

/*!
  @const kSCEntNetL2TP
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCEntNetL2TP;

/*!
  @const kSCEntNetLink
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetLink;

/*!
  @const kSCEntNetModem
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetModem;

/*!
  @const kSCEntNetNetInfo
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.5.
 */
extern const CFStringRef kSCEntNetNetInfo;

/*!
  @const kSCEntNetPPP
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetPPP;

/*!
  @const kSCEntNetPPPoE
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetPPPoE;

/*!
  @const kSCEntNetPPPSerial
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCEntNetPPPSerial;

/*!
  @const kSCEntNetPPTP
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCEntNetPPTP;

/*!
  @const kSCEntNetProxies
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntNetProxies;

/*!
  @const kSCEntNetSMB
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCEntNetSMB;

/*!
  @const kSCEntNet6to4
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCEntNet6to4;

/*!
  @group kSCCompNetwork Properties
 */

/*!
  @const kSCPropNetOverridePrimary
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetOverridePrimary;

/*!
  @const kSCPropNetServiceOrder
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetServiceOrder;

/*!
  @const kSCPropNetPPPOverridePrimary
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPOverridePrimary;

/*!
  @group kSCCompNetworkInterface Properties
 */

/*!
  @const kSCPropNetInterfaces
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetInterfaces;

/*!
  @group kSCCompNetworkHostNames Properties
 */

/*!
  @const kSCPropNetLocalHostName
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetLocalHostName;

/*!
  @group kSCEntNetAirPort (Hardware) Entity Keys
 */

/*!
  @const kSCPropNetAirPortAllowNetCreation
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetAirPortAllowNetCreation;

/*!
  @const kSCPropNetAirPortAuthPassword
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetAirPortAuthPassword;

/*!
  @const kSCPropNetAirPortAuthPasswordEncryption
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetAirPortAuthPasswordEncryption;

/*!
  @const kSCPropNetAirPortJoinMode
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetAirPortJoinMode;

/*!
  @const kSCPropNetAirPortPowerEnabled
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetAirPortPowerEnabled;

/*!
  @const kSCPropNetAirPortPreferredNetwork
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetAirPortPreferredNetwork;

/*!
  @const kSCPropNetAirPortSavePasswords
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetAirPortSavePasswords;

/*!
  @const kSCValNetAirPortJoinModeAutomatic
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetAirPortJoinModeAutomatic;

/*!
  @const kSCValNetAirPortJoinModePreferred
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCValNetAirPortJoinModePreferred;

/*!
  @const kSCValNetAirPortJoinModeRanked
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCValNetAirPortJoinModeRanked;

/*!
  @const kSCValNetAirPortJoinModeRecent
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCValNetAirPortJoinModeRecent;

/*!
  @const kSCValNetAirPortJoinModeStrongest
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCValNetAirPortJoinModeStrongest;

/*!
  @const kSCValNetAirPortAuthPasswordEncryptionKeychain
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetAirPortAuthPasswordEncryptionKeychain;

/*!
  @group kSCEntNetAppleTalk Entity Keys
 */

/*!
  @const kSCPropNetAppleTalkComputerName
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetAppleTalkComputerName;

/*!
  @const kSCPropNetAppleTalkComputerNameEncoding
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetAppleTalkComputerNameEncoding;

/*!
  @const kSCPropNetAppleTalkConfigMethod
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetAppleTalkConfigMethod;

/*!
  @const kSCPropNetAppleTalkDefaultZone
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetAppleTalkDefaultZone;

/*!
  @const kSCPropNetAppleTalkNetworkID
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetAppleTalkNetworkID;

/*!
  @const kSCPropNetAppleTalkNetworkRange
  @availability Introduced in Mac OS X 10.2, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetAppleTalkNetworkRange;

/*!
  @const kSCPropNetAppleTalkNodeID
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetAppleTalkNodeID;

/*!
  @const kSCPropNetAppleTalkSeedNetworkRange
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetAppleTalkSeedNetworkRange;

/*!
  @const kSCPropNetAppleTalkSeedZones
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetAppleTalkSeedZones;

/*!
  @const kSCValNetAppleTalkConfigMethodNode
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCValNetAppleTalkConfigMethodNode;

/*!
  @const kSCValNetAppleTalkConfigMethodRouter
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCValNetAppleTalkConfigMethodRouter;

/*!
  @const kSCValNetAppleTalkConfigMethodSeedRouter
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.6.
 */
extern const CFStringRef kSCValNetAppleTalkConfigMethodSeedRouter;

/*!
  @group kSCEntNetDNS Entity Keys
 */

/*!
  @const kSCPropNetDNSDomainName
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetDNSDomainName;

/*!
  @const kSCPropNetDNSOptions
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetDNSOptions;

/*!
  @const kSCPropNetDNSSearchDomains
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetDNSSearchDomains;

/*!
  @const kSCPropNetDNSSearchOrder
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetDNSSearchOrder;

/*!
  @const kSCPropNetDNSServerAddresses
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetDNSServerAddresses;

/*!
  @const kSCPropNetDNSServerPort
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetDNSServerPort;

/*!
  @const kSCPropNetDNSServerTimeout
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetDNSServerTimeout;

/*!
  @const kSCPropNetDNSSortList
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetDNSSortList;

/*!
  @const kSCPropNetDNSSupplementalMatchDomains
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetDNSSupplementalMatchDomains;

/*!
  @const kSCPropNetDNSSupplementalMatchOrders
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetDNSSupplementalMatchOrders;

/*!
  @group kSCEntNetEthernet (Hardware) Entity Keys
 */

/*!
  @const kSCPropNetEthernetMediaSubType
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetEthernetMediaSubType;

/*!
  @const kSCPropNetEthernetMediaOptions
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetEthernetMediaOptions;

/*!
  @const kSCPropNetEthernetMTU
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetEthernetMTU;

/*!
  @group kSCEntNetFireWire (Hardware) Entity Keys
 */

/*!
  @group kSCEntNetInterface Entity Keys
 */

/*!
  @const kSCPropNetInterfaceDeviceName
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetInterfaceDeviceName;

/*!
  @const kSCPropNetInterfaceHardware
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetInterfaceHardware;

/*!
  @const kSCPropNetInterfaceType
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetInterfaceType;

/*!
  @const kSCPropNetInterfaceSubType
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetInterfaceSubType;

/*!
  @const kSCPropNetInterfaceSupportsModemOnHold
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetInterfaceSupportsModemOnHold;

/*!
  @const kSCValNetInterfaceTypeEthernet
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetInterfaceTypeEthernet;

/*!
  @const kSCValNetInterfaceTypeFireWire
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetInterfaceTypeFireWire;

/*!
  @const kSCValNetInterfaceTypePPP
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetInterfaceTypePPP;

/*!
  @const kSCValNetInterfaceType6to4
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetInterfaceType6to4;

/*!
  @const kSCValNetInterfaceTypeIPSec
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCValNetInterfaceTypeIPSec;

/*!
  @const kSCValNetInterfaceSubTypePPPoE
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetInterfaceSubTypePPPoE;

/*!
  @const kSCValNetInterfaceSubTypePPPSerial
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetInterfaceSubTypePPPSerial;

/*!
  @const kSCValNetInterfaceSubTypePPTP
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCValNetInterfaceSubTypePPTP;

/*!
  @const kSCValNetInterfaceSubTypeL2TP
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetInterfaceSubTypeL2TP;

/*!
  @group kSCEntNetIPSec Entity Keys
 */

/*!
  @const kSCPropNetIPSecAuthenticationMethod
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetIPSecAuthenticationMethod;

/*!
  @const kSCPropNetIPSecLocalCertificate
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetIPSecLocalCertificate;

/*!
  @const kSCPropNetIPSecLocalIdentifier
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetIPSecLocalIdentifier;

/*!
  @const kSCPropNetIPSecLocalIdentifierType
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetIPSecLocalIdentifierType;

/*!
  @const kSCPropNetIPSecSharedSecret
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetIPSecSharedSecret;

/*!
  @const kSCPropNetIPSecSharedSecretEncryption
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetIPSecSharedSecretEncryption;

/*!
  @const kSCPropNetIPSecConnectTime
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecConnectTime;

/*!
  @const kSCPropNetIPSecRemoteAddress
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecRemoteAddress;

/*!
  @const kSCPropNetIPSecStatus
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecStatus;

/*!
  @const kSCPropNetIPSecXAuthEnabled
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecXAuthEnabled;

/*!
  @const kSCPropNetIPSecXAuthName
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecXAuthName;

/*!
  @const kSCPropNetIPSecXAuthPassword
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecXAuthPassword;

/*!
  @const kSCPropNetIPSecXAuthPasswordEncryption
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecXAuthPasswordEncryption;

/*!
  @const kSCValNetIPSecAuthenticationMethodSharedSecret
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetIPSecAuthenticationMethodSharedSecret;

/*!
  @const kSCValNetIPSecAuthenticationMethodCertificate
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetIPSecAuthenticationMethodCertificate;

/*!
  @const kSCValNetIPSecAuthenticationMethodHybrid
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetIPSecAuthenticationMethodHybrid;

/*!
  @const kSCValNetIPSecLocalIdentifierTypeKeyID
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetIPSecLocalIdentifierTypeKeyID;

/*!
  @const kSCValNetIPSecSharedSecretEncryptionKeychain
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetIPSecSharedSecretEncryptionKeychain;

/*!
  @const kSCValNetIPSecXAuthPasswordEncryptionKeychain
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCValNetIPSecXAuthPasswordEncryptionKeychain;

/*!
  @const kSCValNetIPSecXAuthPasswordEncryptionPrompt
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCValNetIPSecXAuthPasswordEncryptionPrompt;

/*!
  @group kSCEntNetIPv4 Entity Keys
 */

/*!
  @const kSCPropNetIPv4Addresses
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetIPv4Addresses;

/*!
  @const kSCPropNetIPv4ConfigMethod
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetIPv4ConfigMethod;

/*!
  @const kSCPropNetIPv4DHCPClientID
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetIPv4DHCPClientID;

/*!
  @const kSCPropNetIPv4Router
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetIPv4Router;

/*!
  @const kSCPropNetIPv4SubnetMasks
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetIPv4SubnetMasks;

/*!
  @const kSCPropNetIPv4DestAddresses
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetIPv4DestAddresses;

/*!
  @const kSCPropNetIPv4BroadcastAddresses
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetIPv4BroadcastAddresses;

/*!
  @const kSCValNetIPv4ConfigMethodAutomatic
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCValNetIPv4ConfigMethodAutomatic;

/*!
  @const kSCValNetIPv4ConfigMethodBOOTP
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetIPv4ConfigMethodBOOTP;

/*!
  @const kSCValNetIPv4ConfigMethodDHCP
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetIPv4ConfigMethodDHCP;

/*!
  @const kSCValNetIPv4ConfigMethodINFORM
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetIPv4ConfigMethodINFORM;

/*!
  @const kSCValNetIPv4ConfigMethodLinkLocal
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCValNetIPv4ConfigMethodLinkLocal;

/*!
  @const kSCValNetIPv4ConfigMethodManual
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetIPv4ConfigMethodManual;

/*!
  @const kSCValNetIPv4ConfigMethodPPP
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetIPv4ConfigMethodPPP;

/*!
  @group kSCEntNetIPv6 Entity Keys
 */

/*!
  @const kSCPropNetIPv6Addresses
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetIPv6Addresses;

/*!
  @const kSCPropNetIPv6ConfigMethod
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetIPv6ConfigMethod;

/*!
  @const kSCPropNetIPv6DestAddresses
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetIPv6DestAddresses;

/*!
  @const kSCPropNetIPv6Flags
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetIPv6Flags;

/*!
  @const kSCPropNetIPv6PrefixLength
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetIPv6PrefixLength;

/*!
  @const kSCPropNetIPv6Router
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetIPv6Router;

/*!
  @const kSCValNetIPv6ConfigMethodAutomatic
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetIPv6ConfigMethodAutomatic;

/*!
  @const kSCValNetIPv6ConfigMethodLinkLocal
  @availability Introduced in Mac OS X 10.7.
 */
extern const CFStringRef kSCValNetIPv6ConfigMethodLinkLocal;

/*!
  @const kSCValNetIPv6ConfigMethodManual
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetIPv6ConfigMethodManual;

/*!
  @const kSCValNetIPv6ConfigMethodRouterAdvertisement
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetIPv6ConfigMethodRouterAdvertisement;

/*!
  @const kSCValNetIPv6ConfigMethod6to4
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetIPv6ConfigMethod6to4;

/*!
  @group kSCEntNet6to4 Entity Keys
 */

/*!
  @const kSCPropNet6to4Relay
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNet6to4Relay;

/*!
  @group kSCEntNetLink Entity Keys
 */

/*!
  @const kSCPropNetLinkActive
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetLinkActive;

/*!
  @const kSCPropNetLinkDetaching
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetLinkDetaching;

/*!
  @group kSCEntNetModem (Hardware) Entity Keys
 */

/*!
  @const kSCPropNetModemAccessPointName
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetModemAccessPointName;

/*!
  @const kSCPropNetModemConnectionPersonality
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetModemConnectionPersonality;

/*!
  @const kSCPropNetModemConnectionScript
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetModemConnectionScript;

/*!
  @const kSCPropNetModemConnectSpeed
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetModemConnectSpeed;

/*!
  @const kSCPropNetModemDataCompression
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetModemDataCompression;

/*!
  @const kSCPropNetModemDeviceContextID
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetModemDeviceContextID;

/*!
  @const kSCPropNetModemDeviceModel
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetModemDeviceModel;

/*!
  @const kSCPropNetModemDeviceVendor
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetModemDeviceVendor;

/*!
  @const kSCPropNetModemDialMode
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetModemDialMode;

/*!
  @const kSCPropNetModemErrorCorrection
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetModemErrorCorrection;

/*!
  @const kSCPropNetModemHoldCallWaitingAudibleAlert
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetModemHoldCallWaitingAudibleAlert;

/*!
  @const kSCPropNetModemHoldDisconnectOnAnswer
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetModemHoldDisconnectOnAnswer;

/*!
  @const kSCPropNetModemHoldEnabled
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetModemHoldEnabled;

/*!
  @const kSCPropNetModemHoldReminder
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetModemHoldReminder;

/*!
  @const kSCPropNetModemHoldReminderTime
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetModemHoldReminderTime;

/*!
  @const kSCPropNetModemNote
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetModemNote;

/*!
  @const kSCPropNetModemPulseDial
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetModemPulseDial;

/*!
  @const kSCPropNetModemSpeaker
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetModemSpeaker;

/*!
  @const kSCPropNetModemSpeed
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetModemSpeed;

/*!
  @const kSCValNetModemDialModeIgnoreDialTone
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetModemDialModeIgnoreDialTone;

/*!
  @const kSCValNetModemDialModeManual
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetModemDialModeManual;

/*!
  @const kSCValNetModemDialModeWaitForDialTone
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetModemDialModeWaitForDialTone;

/*!
  @group kSCEntNetNetInfo Entity Keys
 */

/*!
  @const kSCPropNetNetInfoBindingMethods
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetNetInfoBindingMethods;

/*!
  @const kSCPropNetNetInfoServerAddresses
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetNetInfoServerAddresses;

/*!
  @const kSCPropNetNetInfoServerTags
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetNetInfoServerTags;

/*!
  @const kSCPropNetNetInfoBroadcastServerTag
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetNetInfoBroadcastServerTag;

/*!
  @const kSCValNetNetInfoBindingMethodsBroadcast
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetNetInfoBindingMethodsBroadcast;

/*!
  @const kSCValNetNetInfoBindingMethodsDHCP
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetNetInfoBindingMethodsDHCP;

/*!
  @const kSCValNetNetInfoBindingMethodsManual
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetNetInfoBindingMethodsManual;

/*!
  @const kSCValNetNetInfoDefaultServerTag
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetNetInfoDefaultServerTag;

/*!
  @group kSCEntNetPPP Entity Keys
 */

/*!
  @const kSCPropNetPPPACSPEnabled
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetPPPACSPEnabled;

/*!
  @const kSCPropNetPPPConnectTime
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetPPPConnectTime;

/*!
  @const kSCPropNetPPPDeviceLastCause
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetPPPDeviceLastCause;

/*!
  @const kSCPropNetPPPDialOnDemand
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPDialOnDemand;

/*!
  @const kSCPropNetPPPDisconnectOnFastUserSwitch
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetPPPDisconnectOnFastUserSwitch;

/*!
  @const kSCPropNetPPPDisconnectOnIdle
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPDisconnectOnIdle;

/*!
  @const kSCPropNetPPPDisconnectOnIdleTimer
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPDisconnectOnIdleTimer;

/*!
  @const kSCPropNetPPPDisconnectOnLogout
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPDisconnectOnLogout;

/*!
  @const kSCPropNetPPPDisconnectOnSleep
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetPPPDisconnectOnSleep;

/*!
  @const kSCPropNetPPPDisconnectTime
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetPPPDisconnectTime;

/*!
  @const kSCPropNetPPPIdleReminderTimer
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPIdleReminderTimer;

/*!
  @const kSCPropNetPPPIdleReminder
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPIdleReminder;

/*!
  @const kSCPropNetPPPLastCause
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetPPPLastCause;

/*!
  @const kSCPropNetPPPLogfile
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPLogfile;

/*!
  @const kSCPropNetPPPPlugins
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetPPPPlugins;

/*!
  @const kSCPropNetPPPRetryConnectTime
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetPPPRetryConnectTime;

/*!
  @const kSCPropNetPPPSessionTimer
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPSessionTimer;

/*!
  @const kSCPropNetPPPStatus
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetPPPStatus;

/*!
  @const kSCPropNetPPPUseSessionTimer
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetPPPUseSessionTimer;

/*!
  @const kSCPropNetPPPVerboseLogging
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPVerboseLogging;

/*!
  @const kSCPropNetPPPAuthEAPPlugins
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetPPPAuthEAPPlugins;

/*!
  @const kSCPropNetPPPAuthName
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPAuthName;

/*!
  @const kSCPropNetPPPAuthPassword
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPAuthPassword;

/*!
  @const kSCPropNetPPPAuthPasswordEncryption
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPAuthPasswordEncryption;

/*!
  @const kSCPropNetPPPAuthPrompt
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetPPPAuthPrompt;

/*!
  @const kSCPropNetPPPAuthProtocol
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPAuthProtocol;

/*!
  @const kSCValNetPPPAuthPasswordEncryptionKeychain
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetPPPAuthPasswordEncryptionKeychain;

/*!
  @const kSCValNetPPPAuthPasswordEncryptionToken
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPAuthPasswordEncryptionToken;

/*!
  @const kSCValNetPPPAuthPromptBefore
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetPPPAuthPromptBefore;

/*!
  @const kSCValNetPPPAuthPromptAfter
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetPPPAuthPromptAfter;

/*!
  @const kSCValNetPPPAuthProtocolCHAP
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetPPPAuthProtocolCHAP;

/*!
  @const kSCValNetPPPAuthProtocolEAP
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetPPPAuthProtocolEAP;

/*!
  @const kSCValNetPPPAuthProtocolMSCHAP1
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetPPPAuthProtocolMSCHAP1;

/*!
  @const kSCValNetPPPAuthProtocolMSCHAP2
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetPPPAuthProtocolMSCHAP2;

/*!
  @const kSCValNetPPPAuthProtocolPAP
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCValNetPPPAuthProtocolPAP;

/*!
  @const kSCPropNetPPPCommAlternateRemoteAddress
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPCommAlternateRemoteAddress;

/*!
  @const kSCPropNetPPPCommConnectDelay
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPCommConnectDelay;

/*!
  @const kSCPropNetPPPCommDisplayTerminalWindow
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPCommDisplayTerminalWindow;

/*!
  @const kSCPropNetPPPCommRedialCount
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPCommRedialCount;

/*!
  @const kSCPropNetPPPCommRedialEnabled
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPCommRedialEnabled;

/*!
  @const kSCPropNetPPPCommRedialInterval
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPCommRedialInterval;

/*!
  @const kSCPropNetPPPCommRemoteAddress
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPCommRemoteAddress;

/*!
  @const kSCPropNetPPPCommTerminalScript
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPCommTerminalScript;

/*!
  @const kSCPropNetPPPCommUseTerminalScript
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetPPPCommUseTerminalScript;

/*!
  @const kSCPropNetPPPCCPEnabled
  @availability Introduced in Mac OS X 10.2.
 */
extern const CFStringRef kSCPropNetPPPCCPEnabled;

/*!
  @const kSCPropNetPPPCCPMPPE40Enabled
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetPPPCCPMPPE40Enabled;

/*!
  @const kSCPropNetPPPCCPMPPE128Enabled
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetPPPCCPMPPE128Enabled;

/*!
  @const kSCPropNetPPPIPCPCompressionVJ
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPIPCPCompressionVJ;

/*!
  @const kSCPropNetPPPIPCPUsePeerDNS
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetPPPIPCPUsePeerDNS;

/*!
  @const kSCPropNetPPPLCPEchoEnabled
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPLCPEchoEnabled;

/*!
  @const kSCPropNetPPPLCPEchoFailure
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPLCPEchoFailure;

/*!
  @const kSCPropNetPPPLCPEchoInterval
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPLCPEchoInterval;

/*!
  @const kSCPropNetPPPLCPCompressionACField
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPLCPCompressionACField;

/*!
  @const kSCPropNetPPPLCPCompressionPField
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPLCPCompressionPField;

/*!
  @const kSCPropNetPPPLCPMRU
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPLCPMRU;

/*!
  @const kSCPropNetPPPLCPMTU
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPLCPMTU;

/*!
  @const kSCPropNetPPPLCPReceiveACCM
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPLCPReceiveACCM;

/*!
  @const kSCPropNetPPPLCPTransmitACCM
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetPPPLCPTransmitACCM;

/*!
  @group kSCEntNetPPPoE Entity Keys
 */

/*!
  @group kSCEntNetPPPSerial Entity Keys
 */

/*!
  @group kSCEntNetPPTP Entity Keys
 */

/*!
  @group kSCEntNetL2TP Entity Keys
 */

/*!
  @const kSCPropNetL2TPIPSecSharedSecret
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetL2TPIPSecSharedSecret;

/*!
  @const kSCPropNetL2TPIPSecSharedSecretEncryption
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetL2TPIPSecSharedSecretEncryption;

/*!
  @const kSCPropNetL2TPTransport
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCPropNetL2TPTransport;

/*!
  @const kSCValNetL2TPIPSecSharedSecretEncryptionKeychain
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetL2TPIPSecSharedSecretEncryptionKeychain;

/*!
  @const kSCValNetL2TPTransportIP
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetL2TPTransportIP;

/*!
  @const kSCValNetL2TPTransportIPSec
  @availability Introduced in Mac OS X 10.3.
 */
extern const CFStringRef kSCValNetL2TPTransportIPSec;

/*!
  @group kSCEntNetProxies Entity Keys
 */

/*!
  @const kSCPropNetProxiesExceptionsList
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesExceptionsList;

/*!
  @const kSCPropNetProxiesExcludeSimpleHostnames
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetProxiesExcludeSimpleHostnames;

/*!
  @const kSCPropNetProxiesFTPEnable
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesFTPEnable;

/*!
  @const kSCPropNetProxiesFTPPassive
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesFTPPassive;

/*!
  @const kSCPropNetProxiesFTPPort
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesFTPPort;

/*!
  @const kSCPropNetProxiesFTPProxy
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesFTPProxy;

/*!
  @const kSCPropNetProxiesGopherEnable
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesGopherEnable;

/*!
  @const kSCPropNetProxiesGopherPort
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesGopherPort;

/*!
  @const kSCPropNetProxiesGopherProxy
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesGopherProxy;

/*!
  @const kSCPropNetProxiesHTTPEnable
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesHTTPEnable;

/*!
  @const kSCPropNetProxiesHTTPPort
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesHTTPPort;

/*!
  @const kSCPropNetProxiesHTTPProxy
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesHTTPProxy;

/*!
  @const kSCPropNetProxiesHTTPSEnable
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesHTTPSEnable;

/*!
  @const kSCPropNetProxiesHTTPSPort
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesHTTPSPort;

/*!
  @const kSCPropNetProxiesHTTPSProxy
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesHTTPSProxy;

/*!
  @const kSCPropNetProxiesRTSPEnable
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesRTSPEnable;

/*!
  @const kSCPropNetProxiesRTSPPort
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesRTSPPort;

/*!
  @const kSCPropNetProxiesRTSPProxy
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesRTSPProxy;

/*!
  @const kSCPropNetProxiesSOCKSEnable
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesSOCKSEnable;

/*!
  @const kSCPropNetProxiesSOCKSPort
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesSOCKSPort;

/*!
  @const kSCPropNetProxiesSOCKSProxy
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropNetProxiesSOCKSProxy;

/*!
  @const kSCPropNetProxiesProxyAutoConfigEnable
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetProxiesProxyAutoConfigEnable;

/*!
  @const kSCPropNetProxiesProxyAutoConfigJavaScript
  @availability Introduced in Mac OS X 10.7.
 */
extern const CFStringRef kSCPropNetProxiesProxyAutoConfigJavaScript;

/*!
  @const kSCPropNetProxiesProxyAutoConfigURLString
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetProxiesProxyAutoConfigURLString;

/*!
  @const kSCPropNetProxiesProxyAutoDiscoveryEnable
  @availability Introduced in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropNetProxiesProxyAutoDiscoveryEnable;

/*!
  @group kSCEntNetSMB Entity Keys
 */

/*!
  @const kSCPropNetSMBNetBIOSName
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetSMBNetBIOSName;

/*!
  @const kSCPropNetSMBNetBIOSNodeType
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetSMBNetBIOSNodeType;

/*!
  @const kSCPropNetSMBNetBIOSScope
  @availability Introduced in Mac OS X 10.5, but later deprecated in Mac OS X 10.7.
 */
extern const CFStringRef kSCPropNetSMBNetBIOSScope;

/*!
  @const kSCPropNetSMBWINSAddresses
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetSMBWINSAddresses;

/*!
  @const kSCPropNetSMBWorkgroup
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetSMBWorkgroup;

/*!
  @const kSCValNetSMBNetBIOSNodeTypeBroadcast
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetSMBNetBIOSNodeTypeBroadcast;

/*!
  @const kSCValNetSMBNetBIOSNodeTypePeer
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetSMBNetBIOSNodeTypePeer;

/*!
  @const kSCValNetSMBNetBIOSNodeTypeMixed
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetSMBNetBIOSNodeTypeMixed;

/*!
  @const kSCValNetSMBNetBIOSNodeTypeHybrid
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetSMBNetBIOSNodeTypeHybrid;

/*!
  @group kSCCompUsers Entity Keys
 */

/*!
  @const kSCEntUsersConsoleUser
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCEntUsersConsoleUser;

/*!
  @group kSCCompSystem Properties
 */

/*!
  @const kSCPropSystemComputerName
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropSystemComputerName;

/*!
  @const kSCPropSystemComputerNameEncoding
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCPropSystemComputerNameEncoding;

/*!
  @group SCDynamicStore "domain" prefixes
 */

/*!
  @const kSCDynamicStoreDomainFile
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCDynamicStoreDomainFile;

/*!
  @const kSCDynamicStoreDomainPlugin
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCDynamicStoreDomainPlugin;

/*!
  @const kSCDynamicStoreDomainSetup
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCDynamicStoreDomainSetup;

/*!
  @const kSCDynamicStoreDomainState
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCDynamicStoreDomainState;

/*!
  @const kSCDynamicStoreDomainPrefs
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCDynamicStoreDomainPrefs;

/*!
  @group Preference ("location") Keys
 */

/*!
  @const kSCDynamicStorePropSetupCurrentSet
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCDynamicStorePropSetupCurrentSet;

/*!
  @const kSCDynamicStorePropSetupLastUpdated
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCDynamicStorePropSetupLastUpdated;

/*!
  @group Common/shared Keys
 */

/*!
  @const kSCDynamicStorePropNetInterfaces
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCDynamicStorePropNetInterfaces;

/*!
  @const kSCDynamicStorePropNetPrimaryInterface
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCDynamicStorePropNetPrimaryInterface;

/*!
  @const kSCDynamicStorePropNetPrimaryService
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCDynamicStorePropNetPrimaryService;

/*!
  @const kSCDynamicStorePropNetServiceIDs
  @availability Introduced in Mac OS X 10.1.
 */
extern const CFStringRef kSCDynamicStorePropNetServiceIDs;

/*!
  @const kSCPropUsersConsoleUserName
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropUsersConsoleUserName;

/*!
  @const kSCPropUsersConsoleUserUID
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropUsersConsoleUserUID;

/*!
  @const kSCPropUsersConsoleUserGID
  @availability Introduced in Mac OS X 10.1, but later deprecated in Mac OS X 10.4.
 */
extern const CFStringRef kSCPropUsersConsoleUserGID;

#endif	/* 0 */


/* -------------------- Schema declarations -------------------- */


  SC_SCHEMA_DECLARATION(kSCResvLink, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCResvLink                                                   \
	  SC_SCHEMA_KV(kSCResvLink                                      \
		      ,"__LINK__"                                       \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCResvInactive, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCResvInactive                                               \
	  SC_SCHEMA_KV(kSCResvInactive                                  \
		      ,"__INACTIVE__"                                   \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCPropInterfaceName, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropInterfaceName                                          \
	  SC_SCHEMA_KV(kSCPropInterfaceName                             \
		      ,"InterfaceName"                                  \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropMACAddress, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropMACAddress                                             \
	  SC_SCHEMA_KV(kSCPropMACAddress                                \
		      ,"MACAddress"                                     \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropUserDefinedName, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropUserDefinedName                                        \
	  SC_SCHEMA_KV(kSCPropUserDefinedName                           \
		      ,"UserDefinedName"                                \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropVersion, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropVersion                                                \
	  SC_SCHEMA_KV(kSCPropVersion                                   \
		      ,"Version"                                        \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPrefCurrentSet, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPrefCurrentSet                                             \
	  SC_SCHEMA_KV(kSCPrefCurrentSet                                \
		      ,"CurrentSet"                                     \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPrefNetworkServices, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPrefNetworkServices                                        \
	  SC_SCHEMA_KV(kSCPrefNetworkServices                           \
		      ,"NetworkServices"                                \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCPrefSets, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPrefSets                                                   \
	  SC_SCHEMA_KV(kSCPrefSets                                      \
		      ,"Sets"                                           \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCPrefSystem, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPrefSystem                                                 \
	  SC_SCHEMA_KV(kSCPrefSystem                                    \
		      ,"System"                                         \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCCompNetwork, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCCompNetwork                                                \
	  SC_SCHEMA_KV(kSCCompNetwork                                   \
		      ,"Network"                                        \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCCompService, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCCompService                                                \
	  SC_SCHEMA_KV(kSCCompService                                   \
		      ,"Service"                                        \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCCompGlobal, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCCompGlobal                                                 \
	  SC_SCHEMA_KV(kSCCompGlobal                                    \
		      ,"Global"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCCompHostNames, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCCompHostNames                                              \
	  SC_SCHEMA_KV(kSCCompHostNames                                 \
		      ,"HostNames"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCCompInterface, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCCompInterface                                              \
	  SC_SCHEMA_KV(kSCCompInterface                                 \
		      ,"Interface"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCCompSystem, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCCompSystem                                                 \
	  SC_SCHEMA_KV(kSCCompSystem                                    \
		      ,"System"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCCompUsers, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCCompUsers                                                  \
	  SC_SCHEMA_KV(kSCCompUsers                                     \
		      ,"Users"                                          \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCCompAnyRegex, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCCompAnyRegex                                               \
	  SC_SCHEMA_KV(kSCCompAnyRegex                                  \
		      ,"[^/]+"                                          \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCEntNetAirPort, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetAirPort                                              \
	  SC_SCHEMA_KV(kSCEntNetAirPort                                 \
		      ,"AirPort"                                        \
		      ,CFDictionary                                     )

#if !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCEntNetAppleTalk, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCEntNetAppleTalk                                            \
	  SC_SCHEMA_KV(kSCEntNetAppleTalk                               \
		      ,"AppleTalk"                                      \
		      ,CFDictionary                                     )

#endif // !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCEntNetDHCP, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetDHCP                                                 \
	  SC_SCHEMA_KV(kSCEntNetDHCP                                    \
		      ,"DHCP"                                           \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetDNS, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetDNS                                                  \
	  SC_SCHEMA_KV(kSCEntNetDNS                                     \
		      ,"DNS"                                            \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetEthernet, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetEthernet                                             \
	  SC_SCHEMA_KV(kSCEntNetEthernet                                \
		      ,"Ethernet"                                       \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetFireWire, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCEntNetFireWire                                             \
	  SC_SCHEMA_KV(kSCEntNetFireWire                                \
		      ,"FireWire"                                       \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetInterface, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetInterface                                            \
	  SC_SCHEMA_KV(kSCEntNetInterface                               \
		      ,"Interface"                                      \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetIPSec, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCEntNetIPSec                                                \
	  SC_SCHEMA_KV(kSCEntNetIPSec                                   \
		      ,"IPSec"                                          \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetIPv4, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetIPv4                                                 \
	  SC_SCHEMA_KV(kSCEntNetIPv4                                    \
		      ,"IPv4"                                           \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetIPv6, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetIPv6                                                 \
	  SC_SCHEMA_KV(kSCEntNetIPv6                                    \
		      ,"IPv6"                                           \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetL2TP, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCEntNetL2TP                                                 \
	  SC_SCHEMA_KV(kSCEntNetL2TP                                    \
		      ,"L2TP"                                           \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetLink, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetLink                                                 \
	  SC_SCHEMA_KV(kSCEntNetLink                                    \
		      ,"Link"                                           \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetModem, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetModem                                                \
	  SC_SCHEMA_KV(kSCEntNetModem                                   \
		      ,"Modem"                                          \
		      ,CFDictionary                                     )

#if !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCEntNetNetInfo, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA))
  #define kSCEntNetNetInfo                                              \
	  SC_SCHEMA_KV(kSCEntNetNetInfo                                 \
		      ,"NetInfo"                                        \
		      ,CFDictionary                                     )

#endif // !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCEntNetPPP, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetPPP                                                  \
	  SC_SCHEMA_KV(kSCEntNetPPP                                     \
		      ,"PPP"                                            \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetPPPoE, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetPPPoE                                                \
	  SC_SCHEMA_KV(kSCEntNetPPPoE                                   \
		      ,"PPPoE"                                          \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetPPPSerial, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCEntNetPPPSerial                                            \
	  SC_SCHEMA_KV(kSCEntNetPPPSerial                               \
		      ,"PPPSerial"                                      \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetPPTP, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCEntNetPPTP                                                 \
	  SC_SCHEMA_KV(kSCEntNetPPTP                                    \
		      ,"PPTP"                                           \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCEntNetProxies, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntNetProxies                                              \
	  SC_SCHEMA_KV(kSCEntNetProxies                                 \
		      ,"Proxies"                                        \
		      ,CFDictionary                                     )

#if !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCEntNetSMB, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCEntNetSMB                                                  \
	  SC_SCHEMA_KV(kSCEntNetSMB                                     \
		      ,"SMB"                                            \
		      ,CFDictionary                                     )

#endif // !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCEntNet6to4, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCEntNet6to4                                                 \
	  SC_SCHEMA_KV(kSCEntNet6to4                                    \
		      ,"6to4"                                           \
		      ,CFDictionary                                     )

  SC_SCHEMA_DECLARATION(kSCPropNetOverridePrimary, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetOverridePrimary                                     \
	  SC_SCHEMA_KV(kSCPropNetOverridePrimary                        \
		      ,"OverridePrimary"                                \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetServiceOrder, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetServiceOrder                                        \
	  SC_SCHEMA_KV(kSCPropNetServiceOrder                           \
		      ,"ServiceOrder"                                   \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPOverridePrimary, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPOverridePrimary                                  \
	  SC_SCHEMA_KV(kSCPropNetPPPOverridePrimary                     \
		      ,"PPPOverridePrimary"                             \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetInterfaces, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetInterfaces                                          \
	  SC_SCHEMA_KV(kSCPropNetInterfaces                             \
		      ,"Interfaces"                                     \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetLocalHostName, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetLocalHostName                                       \
	  SC_SCHEMA_KV(kSCPropNetLocalHostName                          \
		      ,"LocalHostName"                                  \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetAirPortAllowNetCreation, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetAirPortAllowNetCreation                             \
	  SC_SCHEMA_KV(kSCPropNetAirPortAllowNetCreation                \
		      ,"AllowNetCreation"                               \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetAirPortAuthPassword, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetAirPortAuthPassword                                 \
	  SC_SCHEMA_KV(kSCPropNetAirPortAuthPassword                    \
		      ,"AuthPassword"                                   \
		      ,CFData                                           )

  SC_SCHEMA_DECLARATION(kSCPropNetAirPortAuthPasswordEncryption, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetAirPortAuthPasswordEncryption                       \
	  SC_SCHEMA_KV(kSCPropNetAirPortAuthPasswordEncryption          \
		      ,"AuthPasswordEncryption"                         \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetAirPortJoinMode, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetAirPortJoinMode                                     \
	  SC_SCHEMA_KV(kSCPropNetAirPortJoinMode                        \
		      ,"JoinMode"                                       \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetAirPortPowerEnabled, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetAirPortPowerEnabled                                 \
	  SC_SCHEMA_KV(kSCPropNetAirPortPowerEnabled                    \
		      ,"PowerEnabled"                                   \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetAirPortPreferredNetwork, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetAirPortPreferredNetwork                             \
	  SC_SCHEMA_KV(kSCPropNetAirPortPreferredNetwork                \
		      ,"PreferredNetwork"                               \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetAirPortSavePasswords, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetAirPortSavePasswords                                \
	  SC_SCHEMA_KV(kSCPropNetAirPortSavePasswords                   \
		      ,"SavePasswords"                                  \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCValNetAirPortJoinModeAutomatic, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetAirPortJoinModeAutomatic                             \
	  SC_SCHEMA_KV(kSCValNetAirPortJoinModeAutomatic                \
		      ,"Automatic"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetAirPortJoinModePreferred, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCValNetAirPortJoinModePreferred                             \
	  SC_SCHEMA_KV(kSCValNetAirPortJoinModePreferred                \
		      ,"Preferred"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetAirPortJoinModeRanked, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCValNetAirPortJoinModeRanked                                \
	  SC_SCHEMA_KV(kSCValNetAirPortJoinModeRanked                   \
		      ,"Ranked"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetAirPortJoinModeRecent, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCValNetAirPortJoinModeRecent                                \
	  SC_SCHEMA_KV(kSCValNetAirPortJoinModeRecent                   \
		      ,"Recent"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetAirPortJoinModeStrongest, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCValNetAirPortJoinModeStrongest                             \
	  SC_SCHEMA_KV(kSCValNetAirPortJoinModeStrongest                \
		      ,"Strongest"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetAirPortAuthPasswordEncryptionKeychain, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetAirPortAuthPasswordEncryptionKeychain                \
	  SC_SCHEMA_KV(kSCValNetAirPortAuthPasswordEncryptionKeychain   \
		      ,"Keychain"                                       \
		      ,                                                 )

#if !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCPropNetAppleTalkComputerName, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetAppleTalkComputerName                               \
	  SC_SCHEMA_KV(kSCPropNetAppleTalkComputerName                  \
		      ,"ComputerName"                                   \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetAppleTalkComputerNameEncoding, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetAppleTalkComputerNameEncoding                       \
	  SC_SCHEMA_KV(kSCPropNetAppleTalkComputerNameEncoding          \
		      ,"ComputerNameEncoding"                           \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetAppleTalkConfigMethod, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetAppleTalkConfigMethod                               \
	  SC_SCHEMA_KV(kSCPropNetAppleTalkConfigMethod                  \
		      ,"ConfigMethod"                                   \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetAppleTalkDefaultZone, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetAppleTalkDefaultZone                                \
	  SC_SCHEMA_KV(kSCPropNetAppleTalkDefaultZone                   \
		      ,"DefaultZone"                                    \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetAppleTalkNetworkID, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetAppleTalkNetworkID                                  \
	  SC_SCHEMA_KV(kSCPropNetAppleTalkNetworkID                     \
		      ,"NetworkID"                                      \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetAppleTalkNetworkRange, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_2,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetAppleTalkNetworkRange                               \
	  SC_SCHEMA_KV(kSCPropNetAppleTalkNetworkRange                  \
		      ,"NetworkRange"                                   \
		      ,CFArray[CFNumber]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetAppleTalkNodeID, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetAppleTalkNodeID                                     \
	  SC_SCHEMA_KV(kSCPropNetAppleTalkNodeID                        \
		      ,"NodeID"                                         \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetAppleTalkSeedNetworkRange, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetAppleTalkSeedNetworkRange                           \
	  SC_SCHEMA_KV(kSCPropNetAppleTalkSeedNetworkRange              \
		      ,"SeedNetworkRange"                               \
		      ,CFArray[CFNumber]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetAppleTalkSeedZones, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetAppleTalkSeedZones                                  \
	  SC_SCHEMA_KV(kSCPropNetAppleTalkSeedZones                     \
		      ,"SeedZones"                                      \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCValNetAppleTalkConfigMethodNode, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCValNetAppleTalkConfigMethodNode                            \
	  SC_SCHEMA_KV(kSCValNetAppleTalkConfigMethodNode               \
		      ,"Node"                                           \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetAppleTalkConfigMethodRouter, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCValNetAppleTalkConfigMethodRouter                          \
	  SC_SCHEMA_KV(kSCValNetAppleTalkConfigMethodRouter             \
		      ,"Router"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetAppleTalkConfigMethodSeedRouter, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA))
  #define kSCValNetAppleTalkConfigMethodSeedRouter                      \
	  SC_SCHEMA_KV(kSCValNetAppleTalkConfigMethodSeedRouter         \
		      ,"SeedRouter"                                     \
		      ,                                                 )

#endif // !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCPropNetDNSDomainName, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetDNSDomainName                                       \
	  SC_SCHEMA_KV(kSCPropNetDNSDomainName                          \
		      ,"DomainName"                                     \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetDNSOptions, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetDNSOptions                                          \
	  SC_SCHEMA_KV(kSCPropNetDNSOptions                             \
		      ,"Options"                                        \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetDNSSearchDomains, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetDNSSearchDomains                                    \
	  SC_SCHEMA_KV(kSCPropNetDNSSearchDomains                       \
		      ,"SearchDomains"                                  \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetDNSSearchOrder, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetDNSSearchOrder                                      \
	  SC_SCHEMA_KV(kSCPropNetDNSSearchOrder                         \
		      ,"SearchOrder"                                    \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetDNSServerAddresses, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetDNSServerAddresses                                  \
	  SC_SCHEMA_KV(kSCPropNetDNSServerAddresses                     \
		      ,"ServerAddresses"                                \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetDNSServerPort, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetDNSServerPort                                       \
	  SC_SCHEMA_KV(kSCPropNetDNSServerPort                          \
		      ,"ServerPort"                                     \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetDNSServerTimeout, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetDNSServerTimeout                                    \
	  SC_SCHEMA_KV(kSCPropNetDNSServerTimeout                       \
		      ,"ServerTimeout"                                  \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetDNSSortList, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetDNSSortList                                         \
	  SC_SCHEMA_KV(kSCPropNetDNSSortList                            \
		      ,"SortList"                                       \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetDNSSupplementalMatchDomains, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetDNSSupplementalMatchDomains                         \
	  SC_SCHEMA_KV(kSCPropNetDNSSupplementalMatchDomains            \
		      ,"SupplementalMatchDomains"                       \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetDNSSupplementalMatchOrders, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetDNSSupplementalMatchOrders                          \
	  SC_SCHEMA_KV(kSCPropNetDNSSupplementalMatchOrders             \
		      ,"SupplementalMatchOrders"                        \
		      ,CFArray[CFNumber]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetEthernetMediaSubType, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetEthernetMediaSubType                                \
	  SC_SCHEMA_KV(kSCPropNetEthernetMediaSubType                   \
		      ,"MediaSubType"                                   \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetEthernetMediaOptions, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetEthernetMediaOptions                                \
	  SC_SCHEMA_KV(kSCPropNetEthernetMediaOptions                   \
		      ,"MediaOptions"                                   \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetEthernetMTU, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetEthernetMTU                                         \
	  SC_SCHEMA_KV(kSCPropNetEthernetMTU                            \
		      ,"MTU"                                            \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetInterfaceDeviceName, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetInterfaceDeviceName                                 \
	  SC_SCHEMA_KV(kSCPropNetInterfaceDeviceName                    \
		      ,"DeviceName"                                     \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetInterfaceHardware, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetInterfaceHardware                                   \
	  SC_SCHEMA_KV(kSCPropNetInterfaceHardware                      \
		      ,"Hardware"                                       \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetInterfaceType, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetInterfaceType                                       \
	  SC_SCHEMA_KV(kSCPropNetInterfaceType                          \
		      ,"Type"                                           \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetInterfaceSubType, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetInterfaceSubType                                    \
	  SC_SCHEMA_KV(kSCPropNetInterfaceSubType                       \
		      ,"SubType"                                        \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetInterfaceSupportsModemOnHold, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetInterfaceSupportsModemOnHold                        \
	  SC_SCHEMA_KV(kSCPropNetInterfaceSupportsModemOnHold           \
		      ,"SupportsModemOnHold"                            \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCValNetInterfaceTypeEthernet, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetInterfaceTypeEthernet                                \
	  SC_SCHEMA_KV(kSCValNetInterfaceTypeEthernet                   \
		      ,"Ethernet"                                       \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetInterfaceTypeFireWire, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetInterfaceTypeFireWire                                \
	  SC_SCHEMA_KV(kSCValNetInterfaceTypeFireWire                   \
		      ,"FireWire"                                       \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetInterfaceTypePPP, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetInterfaceTypePPP                                     \
	  SC_SCHEMA_KV(kSCValNetInterfaceTypePPP                        \
		      ,"PPP"                                            \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetInterfaceType6to4, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetInterfaceType6to4                                    \
	  SC_SCHEMA_KV(kSCValNetInterfaceType6to4                       \
		      ,"6to4"                                           \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetInterfaceTypeIPSec, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA))
  #define kSCValNetInterfaceTypeIPSec                                   \
	  SC_SCHEMA_KV(kSCValNetInterfaceTypeIPSec                      \
		      ,"IPSec"                                          \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetInterfaceSubTypePPPoE, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetInterfaceSubTypePPPoE                                \
	  SC_SCHEMA_KV(kSCValNetInterfaceSubTypePPPoE                   \
		      ,"PPPoE"                                          \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetInterfaceSubTypePPPSerial, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetInterfaceSubTypePPPSerial                            \
	  SC_SCHEMA_KV(kSCValNetInterfaceSubTypePPPSerial               \
		      ,"PPPSerial"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetInterfaceSubTypePPTP, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCValNetInterfaceSubTypePPTP                                 \
	  SC_SCHEMA_KV(kSCValNetInterfaceSubTypePPTP                    \
		      ,"PPTP"                                           \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetInterfaceSubTypeL2TP, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetInterfaceSubTypeL2TP                                 \
	  SC_SCHEMA_KV(kSCValNetInterfaceSubTypeL2TP                    \
		      ,"L2TP"                                           \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecAuthenticationMethod, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetIPSecAuthenticationMethod                           \
	  SC_SCHEMA_KV(kSCPropNetIPSecAuthenticationMethod              \
		      ,"AuthenticationMethod"                           \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecLocalCertificate, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetIPSecLocalCertificate                               \
	  SC_SCHEMA_KV(kSCPropNetIPSecLocalCertificate                  \
		      ,"LocalCertificate"                               \
		      ,CFData                                           )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecLocalIdentifier, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetIPSecLocalIdentifier                                \
	  SC_SCHEMA_KV(kSCPropNetIPSecLocalIdentifier                   \
		      ,"LocalIdentifier"                                \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecLocalIdentifierType, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetIPSecLocalIdentifierType                            \
	  SC_SCHEMA_KV(kSCPropNetIPSecLocalIdentifierType               \
		      ,"LocalIdentifierType"                            \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecSharedSecret, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetIPSecSharedSecret                                   \
	  SC_SCHEMA_KV(kSCPropNetIPSecSharedSecret                      \
		      ,"SharedSecret"                                   \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecSharedSecretEncryption, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetIPSecSharedSecretEncryption                         \
	  SC_SCHEMA_KV(kSCPropNetIPSecSharedSecretEncryption            \
		      ,"SharedSecretEncryption"                         \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecConnectTime, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA))
  #define kSCPropNetIPSecConnectTime                                    \
	  SC_SCHEMA_KV(kSCPropNetIPSecConnectTime                       \
		      ,"ConnectTime"                                    \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecRemoteAddress, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA))
  #define kSCPropNetIPSecRemoteAddress                                  \
	  SC_SCHEMA_KV(kSCPropNetIPSecRemoteAddress                     \
		      ,"RemoteAddress"                                  \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecStatus, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA))
  #define kSCPropNetIPSecStatus                                         \
	  SC_SCHEMA_KV(kSCPropNetIPSecStatus                            \
		      ,"Status"                                         \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecXAuthEnabled, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA))
  #define kSCPropNetIPSecXAuthEnabled                                   \
	  SC_SCHEMA_KV(kSCPropNetIPSecXAuthEnabled                      \
		      ,"XAuthEnabled"                                   \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecXAuthName, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA))
  #define kSCPropNetIPSecXAuthName                                      \
	  SC_SCHEMA_KV(kSCPropNetIPSecXAuthName                         \
		      ,"XAuthName"                                      \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecXAuthPassword, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA))
  #define kSCPropNetIPSecXAuthPassword                                  \
	  SC_SCHEMA_KV(kSCPropNetIPSecXAuthPassword                     \
		      ,"XAuthPassword"                                  \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecXAuthPasswordEncryption, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA))
  #define kSCPropNetIPSecXAuthPasswordEncryption                        \
	  SC_SCHEMA_KV(kSCPropNetIPSecXAuthPasswordEncryption           \
		      ,"XAuthPasswordEncryption"                        \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCValNetIPSecAuthenticationMethodSharedSecret, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCValNetIPSecAuthenticationMethodSharedSecret                \
	  SC_SCHEMA_KV(kSCValNetIPSecAuthenticationMethodSharedSecret   \
		      ,"SharedSecret"                                   \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPSecAuthenticationMethodCertificate, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCValNetIPSecAuthenticationMethodCertificate                 \
	  SC_SCHEMA_KV(kSCValNetIPSecAuthenticationMethodCertificate    \
		      ,"Certificate"                                    \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPSecAuthenticationMethodHybrid, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCValNetIPSecAuthenticationMethodHybrid                      \
	  SC_SCHEMA_KV(kSCValNetIPSecAuthenticationMethodHybrid         \
		      ,"Hybrid"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPSecLocalIdentifierTypeKeyID, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCValNetIPSecLocalIdentifierTypeKeyID                        \
	  SC_SCHEMA_KV(kSCValNetIPSecLocalIdentifierTypeKeyID           \
		      ,"KeyID"                                          \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPSecSharedSecretEncryptionKeychain, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCValNetIPSecSharedSecretEncryptionKeychain                  \
	  SC_SCHEMA_KV(kSCValNetIPSecSharedSecretEncryptionKeychain     \
		      ,"Keychain"                                       \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPSecXAuthPasswordEncryptionKeychain, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA))
  #define kSCValNetIPSecXAuthPasswordEncryptionKeychain                 \
	  SC_SCHEMA_KV(kSCValNetIPSecXAuthPasswordEncryptionKeychain    \
		      ,"Keychain"                                       \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPSecXAuthPasswordEncryptionPrompt, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA))
  #define kSCValNetIPSecXAuthPasswordEncryptionPrompt                   \
	  SC_SCHEMA_KV(kSCValNetIPSecXAuthPasswordEncryptionPrompt      \
		      ,"Prompt"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv4Addresses, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetIPv4Addresses                                       \
	  SC_SCHEMA_KV(kSCPropNetIPv4Addresses                          \
		      ,"Addresses"                                      \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv4ConfigMethod, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetIPv4ConfigMethod                                    \
	  SC_SCHEMA_KV(kSCPropNetIPv4ConfigMethod                       \
		      ,"ConfigMethod"                                   \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv4DHCPClientID, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetIPv4DHCPClientID                                    \
	  SC_SCHEMA_KV(kSCPropNetIPv4DHCPClientID                       \
		      ,"DHCPClientID"                                   \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv4Router, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetIPv4Router                                          \
	  SC_SCHEMA_KV(kSCPropNetIPv4Router                             \
		      ,"Router"                                         \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv4SubnetMasks, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetIPv4SubnetMasks                                     \
	  SC_SCHEMA_KV(kSCPropNetIPv4SubnetMasks                        \
		      ,"SubnetMasks"                                    \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv4DestAddresses, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetIPv4DestAddresses                                   \
	  SC_SCHEMA_KV(kSCPropNetIPv4DestAddresses                      \
		      ,"DestAddresses"                                  \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv4BroadcastAddresses, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetIPv4BroadcastAddresses                              \
	  SC_SCHEMA_KV(kSCPropNetIPv4BroadcastAddresses                 \
		      ,"BroadcastAddresses"                             \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCValNetIPv4ConfigMethodAutomatic, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA))
  #define kSCValNetIPv4ConfigMethodAutomatic                            \
	  SC_SCHEMA_KV(kSCValNetIPv4ConfigMethodAutomatic               \
		      ,"Automatic"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPv4ConfigMethodBOOTP, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetIPv4ConfigMethodBOOTP                                \
	  SC_SCHEMA_KV(kSCValNetIPv4ConfigMethodBOOTP                   \
		      ,"BOOTP"                                          \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPv4ConfigMethodDHCP, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetIPv4ConfigMethodDHCP                                 \
	  SC_SCHEMA_KV(kSCValNetIPv4ConfigMethodDHCP                    \
		      ,"DHCP"                                           \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPv4ConfigMethodINFORM, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetIPv4ConfigMethodINFORM                               \
	  SC_SCHEMA_KV(kSCValNetIPv4ConfigMethodINFORM                  \
		      ,"INFORM"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPv4ConfigMethodLinkLocal, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCValNetIPv4ConfigMethodLinkLocal                            \
	  SC_SCHEMA_KV(kSCValNetIPv4ConfigMethodLinkLocal               \
		      ,"LinkLocal"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPv4ConfigMethodManual, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetIPv4ConfigMethodManual                               \
	  SC_SCHEMA_KV(kSCValNetIPv4ConfigMethodManual                  \
		      ,"Manual"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPv4ConfigMethodPPP, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetIPv4ConfigMethodPPP                                  \
	  SC_SCHEMA_KV(kSCValNetIPv4ConfigMethodPPP                     \
		      ,"PPP"                                            \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv6Addresses, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetIPv6Addresses                                       \
	  SC_SCHEMA_KV(kSCPropNetIPv6Addresses                          \
		      ,"Addresses"                                      \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv6ConfigMethod, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetIPv6ConfigMethod                                    \
	  SC_SCHEMA_KV(kSCPropNetIPv6ConfigMethod                       \
		      ,"ConfigMethod"                                   \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv6DestAddresses, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetIPv6DestAddresses                                   \
	  SC_SCHEMA_KV(kSCPropNetIPv6DestAddresses                      \
		      ,"DestAddresses"                                  \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv6Flags, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetIPv6Flags                                           \
	  SC_SCHEMA_KV(kSCPropNetIPv6Flags                              \
		      ,"Flags"                                          \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv6PrefixLength, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetIPv6PrefixLength                                    \
	  SC_SCHEMA_KV(kSCPropNetIPv6PrefixLength                       \
		      ,"PrefixLength"                                   \
		      ,CFArray[CFNumber]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetIPv6Router, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetIPv6Router                                          \
	  SC_SCHEMA_KV(kSCPropNetIPv6Router                             \
		      ,"Router"                                         \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCValNetIPv6ConfigMethodAutomatic, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetIPv6ConfigMethodAutomatic                            \
	  SC_SCHEMA_KV(kSCValNetIPv6ConfigMethodAutomatic               \
		      ,"Automatic"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPv6ConfigMethodLinkLocal, __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_NA))
  #define kSCValNetIPv6ConfigMethodLinkLocal                            \
	  SC_SCHEMA_KV(kSCValNetIPv6ConfigMethodLinkLocal               \
		      ,"LinkLocal"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPv6ConfigMethodManual, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetIPv6ConfigMethodManual                               \
	  SC_SCHEMA_KV(kSCValNetIPv6ConfigMethodManual                  \
		      ,"Manual"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPv6ConfigMethodRouterAdvertisement, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetIPv6ConfigMethodRouterAdvertisement                  \
	  SC_SCHEMA_KV(kSCValNetIPv6ConfigMethodRouterAdvertisement     \
		      ,"RouterAdvertisement"                            \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetIPv6ConfigMethod6to4, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetIPv6ConfigMethod6to4                                 \
	  SC_SCHEMA_KV(kSCValNetIPv6ConfigMethod6to4                    \
		      ,"6to4"                                           \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCPropNet6to4Relay, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNet6to4Relay                                           \
	  SC_SCHEMA_KV(kSCPropNet6to4Relay                              \
		      ,"Relay"                                          \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetLinkActive, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetLinkActive                                          \
	  SC_SCHEMA_KV(kSCPropNetLinkActive                             \
		      ,"Active"                                         \
		      ,CFBoolean                                        )

  SC_SCHEMA_DECLARATION(kSCPropNetLinkDetaching, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetLinkDetaching                                       \
	  SC_SCHEMA_KV(kSCPropNetLinkDetaching                          \
		      ,"Detaching"                                      \
		      ,CFBoolean                                        )

  SC_SCHEMA_DECLARATION(kSCPropNetModemAccessPointName, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetModemAccessPointName                                \
	  SC_SCHEMA_KV(kSCPropNetModemAccessPointName                   \
		      ,"AccessPointName"                                \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetModemConnectionPersonality, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetModemConnectionPersonality                          \
	  SC_SCHEMA_KV(kSCPropNetModemConnectionPersonality             \
		      ,"ConnectionPersonality"                          \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetModemConnectionScript, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetModemConnectionScript                               \
	  SC_SCHEMA_KV(kSCPropNetModemConnectionScript                  \
		      ,"ConnectionScript"                               \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetModemConnectSpeed, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetModemConnectSpeed                                   \
	  SC_SCHEMA_KV(kSCPropNetModemConnectSpeed                      \
		      ,"ConnectSpeed"                                   \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetModemDataCompression, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetModemDataCompression                                \
	  SC_SCHEMA_KV(kSCPropNetModemDataCompression                   \
		      ,"DataCompression"                                \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetModemDeviceContextID, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetModemDeviceContextID                                \
	  SC_SCHEMA_KV(kSCPropNetModemDeviceContextID                   \
		      ,"DeviceContextID"                                \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetModemDeviceModel, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetModemDeviceModel                                    \
	  SC_SCHEMA_KV(kSCPropNetModemDeviceModel                       \
		      ,"DeviceModel"                                    \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetModemDeviceVendor, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetModemDeviceVendor                                   \
	  SC_SCHEMA_KV(kSCPropNetModemDeviceVendor                      \
		      ,"DeviceVendor"                                   \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetModemDialMode, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetModemDialMode                                       \
	  SC_SCHEMA_KV(kSCPropNetModemDialMode                          \
		      ,"DialMode"                                       \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetModemErrorCorrection, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetModemErrorCorrection                                \
	  SC_SCHEMA_KV(kSCPropNetModemErrorCorrection                   \
		      ,"ErrorCorrection"                                \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetModemHoldCallWaitingAudibleAlert, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetModemHoldCallWaitingAudibleAlert                    \
	  SC_SCHEMA_KV(kSCPropNetModemHoldCallWaitingAudibleAlert       \
		      ,"HoldCallWaitingAudibleAlert"                    \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetModemHoldDisconnectOnAnswer, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetModemHoldDisconnectOnAnswer                         \
	  SC_SCHEMA_KV(kSCPropNetModemHoldDisconnectOnAnswer            \
		      ,"HoldDisconnectOnAnswer"                         \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetModemHoldEnabled, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetModemHoldEnabled                                    \
	  SC_SCHEMA_KV(kSCPropNetModemHoldEnabled                       \
		      ,"HoldEnabled"                                    \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetModemHoldReminder, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetModemHoldReminder                                   \
	  SC_SCHEMA_KV(kSCPropNetModemHoldReminder                      \
		      ,"HoldReminder"                                   \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetModemHoldReminderTime, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetModemHoldReminderTime                               \
	  SC_SCHEMA_KV(kSCPropNetModemHoldReminderTime                  \
		      ,"HoldReminderTime"                               \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetModemNote, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetModemNote                                           \
	  SC_SCHEMA_KV(kSCPropNetModemNote                              \
		      ,"Note"                                           \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetModemPulseDial, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetModemPulseDial                                      \
	  SC_SCHEMA_KV(kSCPropNetModemPulseDial                         \
		      ,"PulseDial"                                      \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetModemSpeaker, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetModemSpeaker                                        \
	  SC_SCHEMA_KV(kSCPropNetModemSpeaker                           \
		      ,"Speaker"                                        \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetModemSpeed, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetModemSpeed                                          \
	  SC_SCHEMA_KV(kSCPropNetModemSpeed                             \
		      ,"Speed"                                          \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCValNetModemDialModeIgnoreDialTone, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetModemDialModeIgnoreDialTone                          \
	  SC_SCHEMA_KV(kSCValNetModemDialModeIgnoreDialTone             \
		      ,"IgnoreDialTone"                                 \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetModemDialModeManual, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetModemDialModeManual                                  \
	  SC_SCHEMA_KV(kSCValNetModemDialModeManual                     \
		      ,"Manual"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetModemDialModeWaitForDialTone, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetModemDialModeWaitForDialTone                         \
	  SC_SCHEMA_KV(kSCValNetModemDialModeWaitForDialTone            \
		      ,"WaitForDialTone"                                \
		      ,                                                 )

#if !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCPropNetNetInfoBindingMethods, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetNetInfoBindingMethods                               \
	  SC_SCHEMA_KV(kSCPropNetNetInfoBindingMethods                  \
		      ,"BindingMethods"                                 \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetNetInfoServerAddresses, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetNetInfoServerAddresses                              \
	  SC_SCHEMA_KV(kSCPropNetNetInfoServerAddresses                 \
		      ,"ServerAddresses"                                \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetNetInfoServerTags, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetNetInfoServerTags                                   \
	  SC_SCHEMA_KV(kSCPropNetNetInfoServerTags                      \
		      ,"ServerTags"                                     \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetNetInfoBroadcastServerTag, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetNetInfoBroadcastServerTag                           \
	  SC_SCHEMA_KV(kSCPropNetNetInfoBroadcastServerTag              \
		      ,"BroadcastServerTag"                             \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCValNetNetInfoBindingMethodsBroadcast, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA))
  #define kSCValNetNetInfoBindingMethodsBroadcast                       \
	  SC_SCHEMA_KV(kSCValNetNetInfoBindingMethodsBroadcast          \
		      ,"Broadcast"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetNetInfoBindingMethodsDHCP, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA))
  #define kSCValNetNetInfoBindingMethodsDHCP                            \
	  SC_SCHEMA_KV(kSCValNetNetInfoBindingMethodsDHCP               \
		      ,"DHCP"                                           \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetNetInfoBindingMethodsManual, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA))
  #define kSCValNetNetInfoBindingMethodsManual                          \
	  SC_SCHEMA_KV(kSCValNetNetInfoBindingMethodsManual             \
		      ,"Manual"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetNetInfoDefaultServerTag, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA))
  #define kSCValNetNetInfoDefaultServerTag                              \
	  SC_SCHEMA_KV(kSCValNetNetInfoDefaultServerTag                 \
		      ,"network"                                        \
		      ,                                                 )

#endif // !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCPropNetPPPACSPEnabled, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetPPPACSPEnabled                                      \
	  SC_SCHEMA_KV(kSCPropNetPPPACSPEnabled                         \
		      ,"ACSPEnabled"                                    \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPConnectTime, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetPPPConnectTime                                      \
	  SC_SCHEMA_KV(kSCPropNetPPPConnectTime                         \
		      ,"ConnectTime"                                    \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPDeviceLastCause, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetPPPDeviceLastCause                                  \
	  SC_SCHEMA_KV(kSCPropNetPPPDeviceLastCause                     \
		      ,"DeviceLastCause"                                \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPDialOnDemand, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPDialOnDemand                                     \
	  SC_SCHEMA_KV(kSCPropNetPPPDialOnDemand                        \
		      ,"DialOnDemand"                                   \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPDisconnectOnFastUserSwitch, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetPPPDisconnectOnFastUserSwitch                       \
	  SC_SCHEMA_KV(kSCPropNetPPPDisconnectOnFastUserSwitch          \
		      ,"DisconnectOnFastUserSwitch"                     \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPDisconnectOnIdle, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPDisconnectOnIdle                                 \
	  SC_SCHEMA_KV(kSCPropNetPPPDisconnectOnIdle                    \
		      ,"DisconnectOnIdle"                               \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPDisconnectOnIdleTimer, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPDisconnectOnIdleTimer                            \
	  SC_SCHEMA_KV(kSCPropNetPPPDisconnectOnIdleTimer               \
		      ,"DisconnectOnIdleTimer"                          \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPDisconnectOnLogout, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPDisconnectOnLogout                               \
	  SC_SCHEMA_KV(kSCPropNetPPPDisconnectOnLogout                  \
		      ,"DisconnectOnLogout"                             \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPDisconnectOnSleep, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetPPPDisconnectOnSleep                                \
	  SC_SCHEMA_KV(kSCPropNetPPPDisconnectOnSleep                   \
		      ,"DisconnectOnSleep"                              \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPDisconnectTime, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetPPPDisconnectTime                                   \
	  SC_SCHEMA_KV(kSCPropNetPPPDisconnectTime                      \
		      ,"DisconnectTime"                                 \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPIdleReminderTimer, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPIdleReminderTimer                                \
	  SC_SCHEMA_KV(kSCPropNetPPPIdleReminderTimer                   \
		      ,"IdleReminderTimer"                              \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPIdleReminder, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPIdleReminder                                     \
	  SC_SCHEMA_KV(kSCPropNetPPPIdleReminder                        \
		      ,"IdleReminder"                                   \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPLastCause, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetPPPLastCause                                        \
	  SC_SCHEMA_KV(kSCPropNetPPPLastCause                           \
		      ,"LastCause"                                      \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPLogfile, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPLogfile                                          \
	  SC_SCHEMA_KV(kSCPropNetPPPLogfile                             \
		      ,"Logfile"                                        \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPPlugins, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetPPPPlugins                                          \
	  SC_SCHEMA_KV(kSCPropNetPPPPlugins                             \
		      ,"Plugins"                                        \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPRetryConnectTime, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetPPPRetryConnectTime                                 \
	  SC_SCHEMA_KV(kSCPropNetPPPRetryConnectTime                    \
		      ,"RetryConnectTime"                               \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPSessionTimer, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPSessionTimer                                     \
	  SC_SCHEMA_KV(kSCPropNetPPPSessionTimer                        \
		      ,"SessionTimer"                                   \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPStatus, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetPPPStatus                                           \
	  SC_SCHEMA_KV(kSCPropNetPPPStatus                              \
		      ,"Status"                                         \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPUseSessionTimer, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetPPPUseSessionTimer                                  \
	  SC_SCHEMA_KV(kSCPropNetPPPUseSessionTimer                     \
		      ,"UseSessionTimer"                                \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPVerboseLogging, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPVerboseLogging                                   \
	  SC_SCHEMA_KV(kSCPropNetPPPVerboseLogging                      \
		      ,"VerboseLogging"                                 \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPAuthEAPPlugins, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetPPPAuthEAPPlugins                                   \
	  SC_SCHEMA_KV(kSCPropNetPPPAuthEAPPlugins                      \
		      ,"AuthEAPPlugins"                                 \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPAuthName, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPAuthName                                         \
	  SC_SCHEMA_KV(kSCPropNetPPPAuthName                            \
		      ,"AuthName"                                       \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPAuthPassword, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPAuthPassword                                     \
	  SC_SCHEMA_KV(kSCPropNetPPPAuthPassword                        \
		      ,"AuthPassword"                                   \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPAuthPasswordEncryption, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPAuthPasswordEncryption                           \
	  SC_SCHEMA_KV(kSCPropNetPPPAuthPasswordEncryption              \
		      ,"AuthPasswordEncryption"                         \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPAuthPrompt, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetPPPAuthPrompt                                       \
	  SC_SCHEMA_KV(kSCPropNetPPPAuthPrompt                          \
		      ,"AuthPrompt"                                     \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPAuthProtocol, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPAuthProtocol                                     \
	  SC_SCHEMA_KV(kSCPropNetPPPAuthProtocol                        \
		      ,"AuthProtocol"                                   \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCValNetPPPAuthPasswordEncryptionKeychain, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetPPPAuthPasswordEncryptionKeychain                    \
	  SC_SCHEMA_KV(kSCValNetPPPAuthPasswordEncryptionKeychain       \
		      ,"Keychain"                                       \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetPPPAuthPasswordEncryptionToken, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCValNetPPPAuthPasswordEncryptionToken                       \
	  SC_SCHEMA_KV(kSCValNetPPPAuthPasswordEncryptionToken          \
		      ,"Token"                                          \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetPPPAuthPromptBefore, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetPPPAuthPromptBefore                                  \
	  SC_SCHEMA_KV(kSCValNetPPPAuthPromptBefore                     \
		      ,"Before"                                         \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCValNetPPPAuthPromptAfter, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetPPPAuthPromptAfter                                   \
	  SC_SCHEMA_KV(kSCValNetPPPAuthPromptAfter                      \
		      ,"After"                                          \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCValNetPPPAuthProtocolCHAP, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetPPPAuthProtocolCHAP                                  \
	  SC_SCHEMA_KV(kSCValNetPPPAuthProtocolCHAP                     \
		      ,"CHAP"                                           \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCValNetPPPAuthProtocolEAP, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetPPPAuthProtocolEAP                                   \
	  SC_SCHEMA_KV(kSCValNetPPPAuthProtocolEAP                      \
		      ,"EAP"                                            \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCValNetPPPAuthProtocolMSCHAP1, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetPPPAuthProtocolMSCHAP1                               \
	  SC_SCHEMA_KV(kSCValNetPPPAuthProtocolMSCHAP1                  \
		      ,"MSCHAP1"                                        \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCValNetPPPAuthProtocolMSCHAP2, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetPPPAuthProtocolMSCHAP2                               \
	  SC_SCHEMA_KV(kSCValNetPPPAuthProtocolMSCHAP2                  \
		      ,"MSCHAP2"                                        \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCValNetPPPAuthProtocolPAP, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCValNetPPPAuthProtocolPAP                                   \
	  SC_SCHEMA_KV(kSCValNetPPPAuthProtocolPAP                      \
		      ,"PAP"                                            \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCommAlternateRemoteAddress, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPCommAlternateRemoteAddress                       \
	  SC_SCHEMA_KV(kSCPropNetPPPCommAlternateRemoteAddress          \
		      ,"CommAlternateRemoteAddress"                     \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCommConnectDelay, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPCommConnectDelay                                 \
	  SC_SCHEMA_KV(kSCPropNetPPPCommConnectDelay                    \
		      ,"CommConnectDelay"                               \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCommDisplayTerminalWindow, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPCommDisplayTerminalWindow                        \
	  SC_SCHEMA_KV(kSCPropNetPPPCommDisplayTerminalWindow           \
		      ,"CommDisplayTerminalWindow"                      \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCommRedialCount, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPCommRedialCount                                  \
	  SC_SCHEMA_KV(kSCPropNetPPPCommRedialCount                     \
		      ,"CommRedialCount"                                \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCommRedialEnabled, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPCommRedialEnabled                                \
	  SC_SCHEMA_KV(kSCPropNetPPPCommRedialEnabled                   \
		      ,"CommRedialEnabled"                              \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCommRedialInterval, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPCommRedialInterval                               \
	  SC_SCHEMA_KV(kSCPropNetPPPCommRedialInterval                  \
		      ,"CommRedialInterval"                             \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCommRemoteAddress, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPCommRemoteAddress                                \
	  SC_SCHEMA_KV(kSCPropNetPPPCommRemoteAddress                   \
		      ,"CommRemoteAddress"                              \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCommTerminalScript, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPCommTerminalScript                               \
	  SC_SCHEMA_KV(kSCPropNetPPPCommTerminalScript                  \
		      ,"CommTerminalScript"                             \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCommUseTerminalScript, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetPPPCommUseTerminalScript                            \
	  SC_SCHEMA_KV(kSCPropNetPPPCommUseTerminalScript               \
		      ,"CommUseTerminalScript"                          \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCCPEnabled, __OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA))
  #define kSCPropNetPPPCCPEnabled                                       \
	  SC_SCHEMA_KV(kSCPropNetPPPCCPEnabled                          \
		      ,"CCPEnabled"                                     \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCCPMPPE40Enabled, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetPPPCCPMPPE40Enabled                                 \
	  SC_SCHEMA_KV(kSCPropNetPPPCCPMPPE40Enabled                    \
		      ,"CCPMPPE40Enabled"                               \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPCCPMPPE128Enabled, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetPPPCCPMPPE128Enabled                                \
	  SC_SCHEMA_KV(kSCPropNetPPPCCPMPPE128Enabled                   \
		      ,"CCPMPPE128Enabled"                              \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPIPCPCompressionVJ, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPIPCPCompressionVJ                                \
	  SC_SCHEMA_KV(kSCPropNetPPPIPCPCompressionVJ                   \
		      ,"IPCPCompressionVJ"                              \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPIPCPUsePeerDNS, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetPPPIPCPUsePeerDNS                                   \
	  SC_SCHEMA_KV(kSCPropNetPPPIPCPUsePeerDNS                      \
		      ,"IPCPUsePeerDNS"                                 \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPLCPEchoEnabled, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPLCPEchoEnabled                                   \
	  SC_SCHEMA_KV(kSCPropNetPPPLCPEchoEnabled                      \
		      ,"LCPEchoEnabled"                                 \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPLCPEchoFailure, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPLCPEchoFailure                                   \
	  SC_SCHEMA_KV(kSCPropNetPPPLCPEchoFailure                      \
		      ,"LCPEchoFailure"                                 \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPLCPEchoInterval, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPLCPEchoInterval                                  \
	  SC_SCHEMA_KV(kSCPropNetPPPLCPEchoInterval                     \
		      ,"LCPEchoInterval"                                \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPLCPCompressionACField, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPLCPCompressionACField                            \
	  SC_SCHEMA_KV(kSCPropNetPPPLCPCompressionACField               \
		      ,"LCPCompressionACField"                          \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPLCPCompressionPField, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPLCPCompressionPField                             \
	  SC_SCHEMA_KV(kSCPropNetPPPLCPCompressionPField                \
		      ,"LCPCompressionPField"                           \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPLCPMRU, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPLCPMRU                                           \
	  SC_SCHEMA_KV(kSCPropNetPPPLCPMRU                              \
		      ,"LCPMRU"                                         \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPLCPMTU, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPLCPMTU                                           \
	  SC_SCHEMA_KV(kSCPropNetPPPLCPMTU                              \
		      ,"LCPMTU"                                         \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPLCPReceiveACCM, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPLCPReceiveACCM                                   \
	  SC_SCHEMA_KV(kSCPropNetPPPLCPReceiveACCM                      \
		      ,"LCPReceiveACCM"                                 \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetPPPLCPTransmitACCM, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetPPPLCPTransmitACCM                                  \
	  SC_SCHEMA_KV(kSCPropNetPPPLCPTransmitACCM                     \
		      ,"LCPTransmitACCM"                                \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetL2TPIPSecSharedSecret, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetL2TPIPSecSharedSecret                               \
	  SC_SCHEMA_KV(kSCPropNetL2TPIPSecSharedSecret                  \
		      ,"IPSecSharedSecret"                              \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetL2TPIPSecSharedSecretEncryption, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetL2TPIPSecSharedSecretEncryption                     \
	  SC_SCHEMA_KV(kSCPropNetL2TPIPSecSharedSecretEncryption        \
		      ,"IPSecSharedSecretEncryption"                    \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetL2TPTransport, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCPropNetL2TPTransport                                       \
	  SC_SCHEMA_KV(kSCPropNetL2TPTransport                          \
		      ,"Transport"                                      \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCValNetL2TPIPSecSharedSecretEncryptionKeychain, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetL2TPIPSecSharedSecretEncryptionKeychain              \
	  SC_SCHEMA_KV(kSCValNetL2TPIPSecSharedSecretEncryptionKeychain \
		      ,"Keychain"                                       \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetL2TPTransportIP, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetL2TPTransportIP                                      \
	  SC_SCHEMA_KV(kSCValNetL2TPTransportIP                         \
		      ,"IP"                                             \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetL2TPTransportIPSec, __OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA))
  #define kSCValNetL2TPTransportIPSec                                   \
	  SC_SCHEMA_KV(kSCValNetL2TPTransportIPSec                      \
		      ,"IPSec"                                          \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesExceptionsList, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesExceptionsList                               \
	  SC_SCHEMA_KV(kSCPropNetProxiesExceptionsList                  \
		      ,"ExceptionsList"                                 \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesExcludeSimpleHostnames, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetProxiesExcludeSimpleHostnames                       \
	  SC_SCHEMA_KV(kSCPropNetProxiesExcludeSimpleHostnames          \
		      ,"ExcludeSimpleHostnames"                         \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesFTPEnable, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesFTPEnable                                    \
	  SC_SCHEMA_KV(kSCPropNetProxiesFTPEnable                       \
		      ,"FTPEnable"                                      \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesFTPPassive, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesFTPPassive                                   \
	  SC_SCHEMA_KV(kSCPropNetProxiesFTPPassive                      \
		      ,"FTPPassive"                                     \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesFTPPort, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesFTPPort                                      \
	  SC_SCHEMA_KV(kSCPropNetProxiesFTPPort                         \
		      ,"FTPPort"                                        \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesFTPProxy, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesFTPProxy                                     \
	  SC_SCHEMA_KV(kSCPropNetProxiesFTPProxy                        \
		      ,"FTPProxy"                                       \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesGopherEnable, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesGopherEnable                                 \
	  SC_SCHEMA_KV(kSCPropNetProxiesGopherEnable                    \
		      ,"GopherEnable"                                   \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesGopherPort, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesGopherPort                                   \
	  SC_SCHEMA_KV(kSCPropNetProxiesGopherPort                      \
		      ,"GopherPort"                                     \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesGopherProxy, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesGopherProxy                                  \
	  SC_SCHEMA_KV(kSCPropNetProxiesGopherProxy                     \
		      ,"GopherProxy"                                    \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesHTTPEnable, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesHTTPEnable                                   \
	  SC_SCHEMA_KV(kSCPropNetProxiesHTTPEnable                      \
		      ,"HTTPEnable"                                     \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesHTTPPort, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesHTTPPort                                     \
	  SC_SCHEMA_KV(kSCPropNetProxiesHTTPPort                        \
		      ,"HTTPPort"                                       \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesHTTPProxy, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesHTTPProxy                                    \
	  SC_SCHEMA_KV(kSCPropNetProxiesHTTPProxy                       \
		      ,"HTTPProxy"                                      \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesHTTPSEnable, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesHTTPSEnable                                  \
	  SC_SCHEMA_KV(kSCPropNetProxiesHTTPSEnable                     \
		      ,"HTTPSEnable"                                    \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesHTTPSPort, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesHTTPSPort                                    \
	  SC_SCHEMA_KV(kSCPropNetProxiesHTTPSPort                       \
		      ,"HTTPSPort"                                      \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesHTTPSProxy, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesHTTPSProxy                                   \
	  SC_SCHEMA_KV(kSCPropNetProxiesHTTPSProxy                      \
		      ,"HTTPSProxy"                                     \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesRTSPEnable, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesRTSPEnable                                   \
	  SC_SCHEMA_KV(kSCPropNetProxiesRTSPEnable                      \
		      ,"RTSPEnable"                                     \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesRTSPPort, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesRTSPPort                                     \
	  SC_SCHEMA_KV(kSCPropNetProxiesRTSPPort                        \
		      ,"RTSPPort"                                       \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesRTSPProxy, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesRTSPProxy                                    \
	  SC_SCHEMA_KV(kSCPropNetProxiesRTSPProxy                       \
		      ,"RTSPProxy"                                      \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesSOCKSEnable, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesSOCKSEnable                                  \
	  SC_SCHEMA_KV(kSCPropNetProxiesSOCKSEnable                     \
		      ,"SOCKSEnable"                                    \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesSOCKSPort, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesSOCKSPort                                    \
	  SC_SCHEMA_KV(kSCPropNetProxiesSOCKSPort                       \
		      ,"SOCKSPort"                                      \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesSOCKSProxy, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropNetProxiesSOCKSProxy                                   \
	  SC_SCHEMA_KV(kSCPropNetProxiesSOCKSProxy                      \
		      ,"SOCKSProxy"                                     \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesProxyAutoConfigEnable, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetProxiesProxyAutoConfigEnable                        \
	  SC_SCHEMA_KV(kSCPropNetProxiesProxyAutoConfigEnable           \
		      ,"ProxyAutoConfigEnable"                          \
		      ,CFNumber (0 or 1)                                )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesProxyAutoConfigJavaScript, __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_NA))
  #define kSCPropNetProxiesProxyAutoConfigJavaScript                    \
	  SC_SCHEMA_KV(kSCPropNetProxiesProxyAutoConfigJavaScript       \
		      ,"ProxyAutoConfigJavaScript"                      \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesProxyAutoConfigURLString, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetProxiesProxyAutoConfigURLString                     \
	  SC_SCHEMA_KV(kSCPropNetProxiesProxyAutoConfigURLString        \
		      ,"ProxyAutoConfigURLString"                       \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetProxiesProxyAutoDiscoveryEnable, __OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA))
  #define kSCPropNetProxiesProxyAutoDiscoveryEnable                     \
	  SC_SCHEMA_KV(kSCPropNetProxiesProxyAutoDiscoveryEnable        \
		      ,"ProxyAutoDiscoveryEnable"                       \
		      ,CFNumber (0 or 1)                                )

#if !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCPropNetSMBNetBIOSName, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetSMBNetBIOSName                                      \
	  SC_SCHEMA_KV(kSCPropNetSMBNetBIOSName                         \
		      ,"NetBIOSName"                                    \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetSMBNetBIOSNodeType, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetSMBNetBIOSNodeType                                  \
	  SC_SCHEMA_KV(kSCPropNetSMBNetBIOSNodeType                     \
		      ,"NetBIOSNodeType"                                \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetSMBNetBIOSScope, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_5,__MAC_10_7,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropNetSMBNetBIOSScope                                     \
	  SC_SCHEMA_KV(kSCPropNetSMBNetBIOSScope                        \
		      ,"NetBIOSScope"                                   \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropNetSMBWINSAddresses, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetSMBWINSAddresses                                    \
	  SC_SCHEMA_KV(kSCPropNetSMBWINSAddresses                       \
		      ,"WINSAddresses"                                  \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCPropNetSMBWorkgroup, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCPropNetSMBWorkgroup                                        \
	  SC_SCHEMA_KV(kSCPropNetSMBWorkgroup                           \
		      ,"Workgroup"                                      \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCValNetSMBNetBIOSNodeTypeBroadcast, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCValNetSMBNetBIOSNodeTypeBroadcast                          \
	  SC_SCHEMA_KV(kSCValNetSMBNetBIOSNodeTypeBroadcast             \
		      ,"Broadcast"                                      \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetSMBNetBIOSNodeTypePeer, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCValNetSMBNetBIOSNodeTypePeer                               \
	  SC_SCHEMA_KV(kSCValNetSMBNetBIOSNodeTypePeer                  \
		      ,"Peer"                                           \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetSMBNetBIOSNodeTypeMixed, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCValNetSMBNetBIOSNodeTypeMixed                              \
	  SC_SCHEMA_KV(kSCValNetSMBNetBIOSNodeTypeMixed                 \
		      ,"Mixed"                                          \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCValNetSMBNetBIOSNodeTypeHybrid, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA))
  #define kSCValNetSMBNetBIOSNodeTypeHybrid                             \
	  SC_SCHEMA_KV(kSCValNetSMBNetBIOSNodeTypeHybrid                \
		      ,"Hybrid"                                         \
		      ,                                                 )

#endif // !TARGET_OS_IPHONE

#if !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCEntUsersConsoleUser, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCEntUsersConsoleUser                                        \
	  SC_SCHEMA_KV(kSCEntUsersConsoleUser                           \
		      ,"ConsoleUser"                                    \
		      ,                                                 )

#endif // !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCPropSystemComputerName, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropSystemComputerName                                     \
	  SC_SCHEMA_KV(kSCPropSystemComputerName                        \
		      ,"ComputerName"                                   \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropSystemComputerNameEncoding, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCPropSystemComputerNameEncoding                             \
	  SC_SCHEMA_KV(kSCPropSystemComputerNameEncoding                \
		      ,"ComputerNameEncoding"                           \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCDynamicStoreDomainFile, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCDynamicStoreDomainFile                                     \
	  SC_SCHEMA_KV(kSCDynamicStoreDomainFile                        \
		      ,"File:"                                          \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCDynamicStoreDomainPlugin, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCDynamicStoreDomainPlugin                                   \
	  SC_SCHEMA_KV(kSCDynamicStoreDomainPlugin                      \
		      ,"Plugin:"                                        \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCDynamicStoreDomainSetup, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCDynamicStoreDomainSetup                                    \
	  SC_SCHEMA_KV(kSCDynamicStoreDomainSetup                       \
		      ,"Setup:"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCDynamicStoreDomainState, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCDynamicStoreDomainState                                    \
	  SC_SCHEMA_KV(kSCDynamicStoreDomainState                       \
		      ,"State:"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCDynamicStoreDomainPrefs, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCDynamicStoreDomainPrefs                                    \
	  SC_SCHEMA_KV(kSCDynamicStoreDomainPrefs                       \
		      ,"Prefs:"                                         \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCDynamicStorePropSetupCurrentSet, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCDynamicStorePropSetupCurrentSet                            \
	  SC_SCHEMA_KV(kSCDynamicStorePropSetupCurrentSet               \
		      ,"CurrentSet"                                     \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCDynamicStorePropSetupLastUpdated, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCDynamicStorePropSetupLastUpdated                           \
	  SC_SCHEMA_KV(kSCDynamicStorePropSetupLastUpdated              \
		      ,"LastUpdated"                                    \
		      ,                                                 )

  SC_SCHEMA_DECLARATION(kSCDynamicStorePropNetInterfaces, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCDynamicStorePropNetInterfaces                              \
	  SC_SCHEMA_KV(kSCDynamicStorePropNetInterfaces                 \
		      ,"Interfaces"                                     \
		      ,CFArray[CFString]                                )

  SC_SCHEMA_DECLARATION(kSCDynamicStorePropNetPrimaryInterface, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCDynamicStorePropNetPrimaryInterface                        \
	  SC_SCHEMA_KV(kSCDynamicStorePropNetPrimaryInterface           \
		      ,"PrimaryInterface"                               \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCDynamicStorePropNetPrimaryService, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCDynamicStorePropNetPrimaryService                          \
	  SC_SCHEMA_KV(kSCDynamicStorePropNetPrimaryService             \
		      ,"PrimaryService"                                 \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCDynamicStorePropNetServiceIDs, __OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA))
  #define kSCDynamicStorePropNetServiceIDs                              \
	  SC_SCHEMA_KV(kSCDynamicStorePropNetServiceIDs                 \
		      ,"ServiceIDs"                                     \
		      ,CFArray[CFString]                                )

#if !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCPropUsersConsoleUserName, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_4,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropUsersConsoleUserName                                   \
	  SC_SCHEMA_KV(kSCPropUsersConsoleUserName                      \
		      ,"Name"                                           \
		      ,CFString                                         )

  SC_SCHEMA_DECLARATION(kSCPropUsersConsoleUserUID, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_4,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropUsersConsoleUserUID                                    \
	  SC_SCHEMA_KV(kSCPropUsersConsoleUserUID                       \
		      ,"UID"                                            \
		      ,CFNumber                                         )

  SC_SCHEMA_DECLARATION(kSCPropUsersConsoleUserGID, __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_4,__IPHONE_NA,__IPHONE_NA))
  #define kSCPropUsersConsoleUserGID                                    \
	  SC_SCHEMA_KV(kSCPropUsersConsoleUserGID                       \
		      ,"GID"                                            \
		      ,CFNumber                                         )

#endif // !TARGET_OS_IPHONE

#endif	/* USE_SYSTEMCONFIGURATION_PRIVATE_HEADERS */
#endif	/* _SCSCHEMADEFINITIONS_H */
